import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Bftcan {
    constructor() {
        this.data = {
            strinf: "", //  描述		.strinf
            bfdgrp: {
                rec: {
                    ownref: "", //  单据编号		.bfdgrp.rec.ownref
                    nam: "", //  Externally Displayed Name to Identify the Contract		.bfdgrp.rec.nam
                    doctypcod: "", //  单据类型		.bfdgrp.rec.doctypcod
                    matdat: "", //  Maturity Date		.bfdgrp.rec.matdat
                    orddat: "", //  到期日		.bfdgrp.rec.orddat
                    rcvdat: "", //  到单日期		.bfdgrp.rec.rcvdat
                    predat: "", //  Presentation Date		.bfdgrp.rec.predat
                    docsta: "", //  单据状态		.bfdgrp.rec.docsta
                },
                cbs: {
                    max: {
                        cur: "", //  单据金额		.bfdgrp.cbs.max.cur
                        amt: "", //  单据金额		.bfdgrp.cbs.max.amt
                    },
                    opn1: {
                        cur: "", //  单据余额		.bfdgrp.cbs.opn1.cur
                        amt: "", //  Balance		.bfdgrp.cbs.opn1.amt
                    },
                    opn2: {
                        amt: "", //  Balance		.bfdgrp.cbs.opn2.amt
                    },
                },
                ben: {
                    pts: new Pts().data,
                },
                iss: {
                    pts: new Pts().data,
                },
                apl: {
                    pts: new Pts().data,
                },
            },
            bftp0: {
                recget: {
                    sdamod: {
                        seainf: "", //  		.bftp0.recget.sdamod.seainf
                        dadsnd: "", //  Drag  Drop Sender		.bftp0.recget.sdamod.dadsnd
                    },
                },
                dedget: {
                    sdamod: {
                        seainf: "", //  		.bftp0.dedget.sdamod.seainf
                        dadsnd: "", //  Drag  Drop Sender		.bftp0.dedget.sdamod.dadsnd
                    },
                },
                matp: {
                    mattxtlab: "", //  Label for MATTXT		.bftp0.matp.mattxtlab
                },
            },
            dedgrp: {
                rec: {
                    ownref: "", //  参考号		.dedgrp.rec.ownref
                    kzref: "", //  信用证编号		.dedgrp.rec.kzref
                },
                cbs: {
                    opn1: {
                        cur: "", //  Currency		.dedgrp.cbs.opn1.cur
                        amt: "", //  Balance		.dedgrp.cbs.opn1.amt
                    },
                },
            },
            sndmsg: "", //  Send Message		.sndmsg
            rebkpflg: "", //  Booking Procedure		.rebkpflg
            mtabut: {
                coninf: {
                    oitinf: {
                        labinftxt: "", //  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
                        oit: {
                            inftxt: "", //  Infotext		.mtabut.coninf.oitinf.oit.inftxt
                            inflev: "", //  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
                        },
                    },
                    oitset: {
                        labinftxt: "", //  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
                        oit: {
                            inftxt: "", //  Infotext		.mtabut.coninf.oitset.oit.inftxt
                            inflev: "", //  Infotext Level		.mtabut.coninf.oitset.oit.inflev
                        },
                    },
                    conexedat: "", //  执行日期		.mtabut.coninf.conexedat
                    usr: {
                        extkey: "", //  User ID		.mtabut.coninf.usr.extkey
                    },
                },
            },
            pageId: "", // ctx的key
            setmod: new Pub().data.Setmod,
            trnmod: new Pub().data.Trnmod,
            liaall: new Pub().data.Liaall,
        }
    }
}