import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"
export default class Bftdrv {
    constructor() {
        this.data = {
            oridoclab: "", //  Label original		.oridoclab
            bfdgrp: {
                rec: {
                    doctypcod: "", //  单据类型		.bfdgrp.rec.doctypcod
                    rcvdat: "", //  到单日期		.bfdgrp.rec.rcvdat
                    orddat: "", //  收单日期		.bfdgrp.rec.orddat
                    matdat: "", //  远期单据到期日		.bfdgrp.rec.matdat
                    shpdat: "", //  到期日		.bfdgrp.rec.shpdat
                    dscinsflg: "", //  Enter Docs, Discrep. and Instructions		.bfdgrp.rec.dscinsflg
                    payrol: "", //  Payer		.bfdgrp.rec.payrol
                    docprbrol: "", //  Presented by		.bfdgrp.rec.docprbrol
                    ownref: "", //  单据参考号		.bfdgrp.rec.ownref
                    predat: "", //  Presentation Date		.bfdgrp.rec.predat
                    docsta: "", //  单据状态		.bfdgrp.rec.docsta
                    nam: "", //  Externally Displayed Name to Identify the Contract		.bfdgrp.rec.nam
                    anobnkcod: "", //  交单批注行行号		.bfdgrp.rec.anobnkcod
                    anodat: "", //  交单批注日期		.bfdgrp.rec.anodat
                    anodsp: "", //  交单批注描述		.bfdgrp.rec.anodsp
                    lescom: "", //  Less comm.		.bfdgrp.rec.lescom
                    expmno: "", //  快递单号		.bfdgrp.rec.expmno
                },
                cbs: {
                    max: {
                        cur: "", //  单据金额		.bfdgrp.cbs.max.cur
                        amt: "", //  单据金额		.bfdgrp.cbs.max.amt
                    },
                    opn1: {
                        cur: "", //  单据余额		.bfdgrp.cbs.opn1.cur
                        amt: "", //  Balance		.bfdgrp.cbs.opn1.amt
                    },
                },
                blk: {
                    matper: "", //  Maturity Period		.bfdgrp.blk.matper
                    sndrmk: "", //  寄单�'�汇修改备注		.bfdgrp.blk.sndrmk
                    intdis: "", //  Internal Discrepancies		.bfdgrp.blk.intdis
                    docdis: "", //  Discrepancies		.bfdgrp.blk.docdis
                    docdisflg: "", //  Discrepancies modified		.bfdgrp.blk.docdisflg
                },
                prb: {
                    pts: new Pts().data,
                    namelc: "", //  名称		.bfdgrp.prb.namelc
                    adrelc: "", //  地址		.bfdgrp.prb.adrelc
                    dbfadrblkcn: "", //  Chinese address		.bfdgrp.prb.dbfadrblkcn
                },
                ben: {
                    pts: new Pts().data,
                    namelc: "", //  名称		.bfdgrp.ben.namelc
                    adrelc: "", //  地址		.bfdgrp.ben.adrelc
                    dbfadrblkcn: "", //  Chinese address		.bfdgrp.ben.dbfadrblkcn
                },
                iss: {
                    pts: new Pts().data,
                },
                apl: {
                    pts: new Pts().data,
                },
                oth: {
                    pts: new Pts().data,
                    namelc: "", //  名称		.bfdgrp.oth.namelc
                    adrelc: "", //  地址		.bfdgrp.oth.adrelc
                    dbfadrblkcn: "", //  Chinese address		.bfdgrp.oth.dbfadrblkcn
                },
            },
            oldbfdgrp: {
                cbs: {
                    max: {
                        amt: "", //  Balance		.oldbfdgrp.cbs.max.amt
                    },
                },
            },
            dedgrp: {
                rec: {
                    utlnbr: "", //  No. of Existing and not Completely Processed  Document Sets		.dedgrp.rec.utlnbr
                    ownref: "", //  参考号		.dedgrp.rec.ownref
                    kzref: "", //  信用证编号		.dedgrp.rec.kzref
                },
                cbs: {
                    opn1: {
                        cur: "", //  Currency		.dedgrp.cbs.opn1.cur
                        amt: "", //  Balance		.dedgrp.cbs.opn1.amt
                    },
                },
            },
            bftp: {
                dedget: {
                    sdamod: {
                        dadsnd: "", //  Drag  Drop Sender		.bftp.dedget.sdamod.dadsnd
                        seainf: "", //  		.bftp.dedget.sdamod.seainf
                    },
                },
                recget: {
                    sdamod: {
                        dadsnd: "", //  Drag  Drop Sender		.bftp.recget.sdamod.dadsnd
                        seainf: "", //  		.bftp.recget.sdamod.seainf
                    },
                },
                prbp: {
                    ptsget: {
                        sdamod: {
                            seainf: "", //  		.bftp.prbp.ptsget.sdamod.seainf
                            dadsnd: "", //  Drag  Drop Sender		.bftp.prbp.ptsget.sdamod.dadsnd
                        },
                    },
                },
                zydate: "", //  装运日期\\服务提供日		.bftp.zydate
                msgtyp: "", //  报文类型		.bftp.msgtyp
                docgrdm: {
                    docdsclab: "", //  Label of document description		.bftp.docgrdm.docdsclab
                    docgrd: "", //.bftp.docgrdm.docgrd
                },
                folwupopt: "", //  Processing Options		.bftp.folwupopt
                othp: {
                    ptsget: {
                        sdamod: {
                            seainf: "", //  		.bftp.othp.ptsget.sdamod.seainf
                            dadsnd: "", //  Drag  Drop Sender		.bftp.othp.ptsget.sdamod.dadsnd
                        },
                    },
                },
            },
            mtabut: {
                coninf: {
                    oitinf: {
                        labinftxt: "", //  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
                        oit: {
                            inftxt: "", //  Infotext		.mtabut.coninf.oitinf.oit.inftxt
                            inflev: "", //  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
                        },
                    },
                    oitset: {
                        labinftxt: "", //  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
                        oit: {
                            inftxt: "", //  Infotext		.mtabut.coninf.oitset.oit.inftxt
                            inflev: "", //  Infotext Level		.mtabut.coninf.oitset.oit.inflev
                        },
                    },
                    conexedat: "", //  执行日期		.mtabut.coninf.conexedat
                    usr: {
                        extkey: "", //  User ID		.mtabut.coninf.usr.extkey
                    },
                },
            },
            pageId: "", // ctx的key
            setmod: new Pub().data.Setmod,
            trnmod: new Pub().data.Trnmod,
            liaall: new Pub().data.Liaall,
        }
    }
}