import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Botset{
    constructor () {
        this.data = {
						bodgrp:{
							blk:{
								colins:"",			//  Collection Instructions		.bodgrp.blk.colins
								colinsflg:"",			//  Collection instructions modified		.bodgrp.blk.colinsflg
								dftins:"",			//  Draft Instructions		.bodgrp.blk.dftins
								proins:"",			//  Protest Instructions		.bodgrp.blk.proins
								othins:"",			//  Other Instructions		.bodgrp.blk.othins
								chgtxt:"",			//  Charges Text		.bodgrp.blk.chgtxt
								delins:"",			//  Delivery instructions		.bodgrp.blk.delins
							},
							rec:{
								chato:"",			//  Our Charges to		.bodgrp.rec.chato
								focflg:"",			//  Free of Payment		.bodgrp.rec.focflg
								waicolcod:"",			//  Protest Instructions		.bodgrp.rec.waicolcod
								wairmtcod:"",			//  Waive Remitting Bank Charges		.bodgrp.rec.wairmtcod
								othins:"",			//  Defer Payment until		.bodgrp.rec.othins
								lescom:"",			//  Warehouse/Insurance		.bodgrp.rec.lescom
								matpertyp:"",			//  Days/Months or Years for Maturity Period		.bodgrp.rec.matpertyp
								ownref:"",			//  Reference		.bodgrp.rec.ownref
								nam:"",			//  Name		.bodgrp.rec.nam
								doctypcod:"",			//  Collection Condition		.bodgrp.rec.doctypcod
								docsta:"",			//  Document Set Status		.bodgrp.rec.docsta
								matdat:"",			//  Maturity Date		.bodgrp.rec.matdat
								matpercnt:"",			//  Tenor Specification		.bodgrp.rec.matpercnt
								matperbeg:"",			//  Start of Maturity Period MATBEG		.bodgrp.rec.matperbeg
								rcvdat:"",			//  Order Date		.bodgrp.rec.rcvdat
								predat:"",			//  Presentation Date		.bodgrp.rec.predat
							},
							cbs:{
								opn1:{
									cur:"",			//  Open Amount		.bodgrp.cbs.opn1.cur
									amt:"",			//  Open Amount		.bodgrp.cbs.opn1.amt
								},
								max:{
									cur:"",			//  Document Amount		.bodgrp.cbs.max.cur
									amt:"",			//  Document Amount		.bodgrp.cbs.max.amt
								},
							},
							drr:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bodgrp.drr.namelc
								adrelc:"",			//  地址		.bodgrp.drr.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bodgrp.drr.dbfadrblkcn
							},
							col:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bodgrp.col.namelc
								adrelc:"",			//  地址		.bodgrp.col.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bodgrp.col.dbfadrblkcn
							},
							dre:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bodgrp.dre.namelc
								adrelc:"",			//  地址		.bodgrp.dre.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bodgrp.dre.dbfadrblkcn
							},
						},
						botp:{
							drrp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.botp.drrp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.botp.drrp.ptsget.sdamod.dadsnd
									},
								},
							},
							colp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.botp.colp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.botp.colp.ptsget.sdamod.dadsnd
									},
								},
							},
							drep:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.botp.drep.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.botp.drep.ptsget.sdamod.dadsnd
									},
								},
							},
							ptsaddp:{
								ptsaddg:[],			//  		.botp.ptsaddp.ptsaddg
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.botp.recget.sdamod.dadsnd
									seainf:"",			//  		.botp.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.botp.matp.mattxtlab
							},
						},
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
							tenstm:"",			//  Tenor Stream		.liaall.tenstm
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  Settle Amt.		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							glemod:{
								gleshwstm:"",			//  Booking stream to Display		.setmod.glemod.gleshwstm
							},
							redamt:"",			//  Reduction Amt.		.setmod.redamt
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
							clsflg:"",			//  Close Flag		.mtabut.clsflg
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						lendoc:{
							actflg:"",			//  Input Account		.lendoc.actflg
							account:"",			//  ACT		.lendoc.account
							vercerref:"",			//  Verification Certificate Number		.lendoc.vercerref
							decnum:"",			//  Declaration Number		.lendoc.decnum
						},
						bopmod:{
							szflg:"",			//  申报类型		.bopmod.szflg
							basflg:"",			//  基础数据		.bopmod.basflg
							dclflg:"",			//  申报数据		.bopmod.dclflg
							vrfflg:"",			//  核销数据		.bopmod.vrfflg
							ownextkey:"",			//  地区机构号		.bopmod.ownextkey
							outchargeccy:"",			//  国外银行扣费（涉外收入申报专用）		.bopmod.outchargeccy
							outchargeamt:"",			//  国外银行扣费（涉外收入申报专用）		.bopmod.outchargeamt
							acttyp:"",			//  款项来源		.bopmod.acttyp
							dbdp:{
								baspp:{
									cusnam:"",			//  		.bopmod.dbdp.baspp.cusnam
									cornam:"",			//  		.bopmod.dbdp.baspp.cornam
									corpnam:"",			//  		.bopmod.dbdp.baspp.corpnam
									roptnam:"",			//  RoptNam		.bopmod.dbdp.baspp.roptnam
									exratelab:"",			//  �'�汇/结汇汇率		.bopmod.dbdp.baspp.exratelab
									lcyamtlab:"",			//  �'�汇/结汇金额		.bopmod.dbdp.baspp.lcyamtlab
									acp:"",			//  确认		.bopmod.dbdp.baspp.acp
									tmprefnew:"",			//  TMPREFLABEL		.bopmod.dbdp.baspp.tmprefnew
								},
							},
							dbdgrp:{
								bas:{
									tmpref:"",			//  �'时申报流�'号		.bopmod.dbdgrp.bas.tmpref
									ownextkey:"",			//  地区机构号		.bopmod.dbdgrp.bas.ownextkey
									actiontype:"",			//  操作类型		.bopmod.dbdgrp.bas.actiontype
									rptno:"",			//  申报号码		.bopmod.dbdgrp.bas.rptno
									idcode:"",			//  身份证件号码		.bopmod.dbdgrp.bas.idcode
									lcyacc:"",			//  人民币帐号/银行卡号		.bopmod.dbdgrp.bas.lcyacc
									fcyamt:"",			//  现汇金额		.bopmod.dbdgrp.bas.fcyamt
									fcyacc:"",			//  外汇帐号/银行卡号		.bopmod.dbdgrp.bas.fcyacc
									othamt:"",			//  其它金额		.bopmod.dbdgrp.bas.othamt
									othacc:"",			//  其它帐号/银行卡号		.bopmod.dbdgrp.bas.othacc
									methods:"",			//  结算方式		.bopmod.dbdgrp.bas.methods
									buscode:"",			//  银行业务编号		.bopmod.dbdgrp.bas.buscode
									custype:"",			//  类型		.bopmod.dbdgrp.bas.custype
									actiondesc:"",			//  操作类型		.bopmod.dbdgrp.bas.actiondesc
									exrate:"",			//  结汇汇率		.bopmod.dbdgrp.bas.exrate
									lcyamt:"",			//  结汇金额		.bopmod.dbdgrp.bas.lcyamt
									custnm:"",			//  收款人名称		.bopmod.dbdgrp.bas.custnm
									oppuser:"",			//  付款人名称		.bopmod.dbdgrp.bas.oppuser
									custcod:"",			//  组织机构		.bopmod.dbdgrp.bas.custcod
									inchargeccy:"",			//  国内银行扣费		.bopmod.dbdgrp.bas.inchargeccy
									inchargeamt:"",			//  国内银行扣费		.bopmod.dbdgrp.bas.inchargeamt
									txccy:"",			//  收入款币种及金额		.bopmod.dbdgrp.bas.txccy
									txamt:"",			//  收入款币种及金额		.bopmod.dbdgrp.bas.txamt
								},
							},
						},
						cnybop:{
							cnyflg:"",			//  是否报送跨境人民币2101表		.cnybop.cnyflg
							traflg:"",			//  是否报送跨境人民币2107表		.cnybop.traflg
							outflg:"",			//  是否报送跨境人民币2111表		.cnybop.outflg
							libflg:"",			//  是否报送跨境人民币2106表		.cnybop.libflg
							vouflg:"",			//  是否报送跨境人民币2122表		.cnybop.vouflg
						},
						bptbck:{
							bptbckg:[],			//  		.bptbck.bptbckg
							dscbckcur:"",			//  currency discount paid back		.bptbck.dscbckcur
						},
						liaall: new Pub().data.Liaall,
						setmod: new Pub().data.Setmod,
						mtabut: new Pub().data.Mtabut,
						trnmod: new Pub().data.Trnmod,
						pageId: ""			// ctx的key
				}
    }
}