import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Bptset{
    constructor () {
        this.data = {
						bpdgrp:{
							rec:{
								pntref:"",			//  单据编号		.bpdgrp.rec.pntref
								pntnam:"",			//  Name of Parent Contract		.bpdgrp.rec.pntnam
								ownref:"",			//  融资业务编号		.bpdgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.bpdgrp.rec.nam
								fintyp:"",			//  融资类型		.bpdgrp.rec.fintyp
								pctfin:"",			//  Percentage		.bpdgrp.rec.pctfin
								opndat:"",			//  起息日期		.bpdgrp.rec.opndat
								matdat:"",			//  Maturity Date		.bpdgrp.rec.matdat
								finact:"",			//  融资帐号		.bpdgrp.rec.finact
								fincod:"",			//  借据号		.bpdgrp.rec.fincod
								ovdflg:"",			//  Overdue Flag		.bpdgrp.rec.ovdflg
								tolrat:"",			//  执行利率		.bpdgrp.rec.tolrat
								ffttyp:"",			//  福费廷转卖类型		.bpdgrp.rec.ffttyp
								fortyp:"",			//  Forfaiting Type		.bpdgrp.rec.fortyp
								lctyp:"",			//  L/C Type		.bpdgrp.rec.lctyp
								f0104:"",			//  境外付款人所属部门		.bpdgrp.rec.f0104
								f0105:"",			//  境外付款人与本机构的关系		.bpdgrp.rec.f0105
								f0102:"",			//  是否附有银行承兑汇票		.bpdgrp.rec.f0102
								f0103:"",			//  境外付款人所属国家/地区		.bpdgrp.rec.f0103
								bennam:"",			//  国内证受益人中文名称		.bpdgrp.rec.bennam
								loanno:"",			//  原一级市场买入融资借据号		.bpdgrp.rec.loanno
								benidcode:"",			//  国内信用证受益人统一信用代码		.bpdgrp.rec.benidcode
							},
							cbs:{
								max:{
									cur:"",			//  融资金额		.bpdgrp.cbs.max.cur
									amt:"",			//  Balance		.bpdgrp.cbs.max.amt
								},
							},
							fia:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bpdgrp.fia.namelc
								adrelc:"",			//  地址		.bpdgrp.fia.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bpdgrp.fia.dbfadrblkcn
							},
							bu1:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bpdgrp.bu1.namelc
								adrelc:"",			//  地址		.bpdgrp.bu1.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bpdgrp.bu1.dbfadrblkcn
							},
							inv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bpdgrp.inv.namelc
								adrelc:"",			//  地址		.bpdgrp.inv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bpdgrp.inv.dbfadrblkcn
							},
							bu2:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bpdgrp.bu2.namelc
								adrelc:"",			//  地址		.bpdgrp.bu2.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bpdgrp.bu2.dbfadrblkcn
							},
							bu3:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bpdgrp.bu3.namelc
								adrelc:"",			//  地址		.bpdgrp.bu3.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bpdgrp.bu3.dbfadrblkcn
							},
						},
						bptp:{
							bodget:{
								sdamod:{
									seainf:"",			//  单据编号		.bptp.bodget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp.bodget.sdamod.dadsnd
								},
							},
							bedget:{
								sdamod:{
									seainf:"",			//  单据编号		.bptp.bedget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp.bedget.sdamod.dadsnd
								},
							},
							btdget:{
								sdamod:{
									seainf:"",			//  单据编号		.bptp.btdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp.btdget.sdamod.dadsnd
								},
							},
							brdget:{
								sdamod:{
									seainf:"",			//  单据编号		.bptp.brdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bptp.brdget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bptp.recget.sdamod.dadsnd
									seainf:"",			//  融资业务编号		.bptp.recget.sdamod.seainf
								},
							},
							fiap:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bptp.fiap.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bptp.fiap.ptsget.sdamod.dadsnd
									},
								},
							},
							purtyp:"",			//  Purchase Type		.bptp.purtyp
							distyp:"",			//  Discount Type		.bptp.distyp
							bu1p:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bptp.bu1p.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bptp.bu1p.ptsget.sdamod.dadsnd
									},
								},
							},
							invp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bptp.invp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bptp.invp.ptsget.sdamod.dadsnd
									},
								},
							},
							bu2p:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bptp.bu2p.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bptp.bu2p.ptsget.sdamod.dadsnd
									},
								},
							},
							bu3p:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bptp.bu3p.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bptp.bu3p.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						mtabut:{
							clsflg:"",			//  Close Flag		.mtabut.clsflg
							syswrn:{
								dsp:"",			//  Display		.mtabut.syswrn.dsp
							},
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
								contag72his:"",			//  Historic content of TAG 72		.mtabut.coninf.contag72his
								contag72:"",			//  Current content of TAG 72		.mtabut.coninf.contag72
								contag79his:"",			//  Historic content of TAG 79		.mtabut.coninf.contag79his
								contag79:"",			//  Current content of TAG 79		.mtabut.coninf.contag79
							},
						},
						bptmod:{
							finmod:{
								setlab:"",			//  Settlement Label		.bptmod.finmod.setlab
								reptyp:"",			//  还款方式		.bptmod.finmod.reptyp
								cbs:{
									cbb:{
										intamt1:"",			//  表外欠息利息		.bptmod.finmod.cbs.cbb.intamt1
										intamty1:"",			//  表外本年欠息		.bptmod.finmod.cbs.cbb.intamty1
										intamt2:"",			//  表内欠息利息		.bptmod.finmod.cbs.cbb.intamt2
										intamty2:"",			//  表内本年欠息		.bptmod.finmod.cbs.cbb.intamty2
										intamt:"",			//  利息		.bptmod.finmod.cbs.cbb.intamt
										amt:"",			//  本金		.bptmod.finmod.cbs.cbb.amt
									},
									cbe:{
										intamt1:"",			//  偿还表外欠息利息		.bptmod.finmod.cbs.cbe.intamt1
										intamty1:"",			//  偿还表外欠息		.bptmod.finmod.cbs.cbe.intamty1
										intamt2:"",			//  偿还表内欠息利息		.bptmod.finmod.cbs.cbe.intamt2
										intamty2:"",			//  偿还表内欠息		.bptmod.finmod.cbs.cbe.intamty2
										intamt:"",			//  偿还本金利息		.bptmod.finmod.cbs.cbe.intamt
										amt:"",			//  偿还本金		.bptmod.finmod.cbs.cbe.amt
									},
									totint:"",			//  偿还利息总额		.bptmod.finmod.cbs.totint
								},
								acttyp:"",			//  第三方还款方式		.bptmod.finmod.acttyp
								act3:"",			//  第三方还款账号		.bptmod.finmod.act3
								intprd:"",			//  计息周期		.bptmod.finmod.intprd
								dinmod:{
									dinjdm:"",			//  定价审批代码		.bptmod.finmod.dinmod.dinjdm
									dinjls:"",			//  定价流水号		.bptmod.finmod.dinmod.dinjls
									ockhdm:"",			//  OC客户代码		.bptmod.finmod.dinmod.ockhdm
									hxkhdm:"",			//  核心客户代码		.bptmod.finmod.dinmod.hxkhdm
									sxpfdm:"",			//  授信批复代码		.bptmod.finmod.dinmod.sxpfdm
									djhtno:"",			//  合同号		.bptmod.finmod.dinmod.djhtno
									sxlexi:"",			//  授信类型		.bptmod.finmod.dinmod.sxlexi
									spzhta:"",			//  审批状态		.bptmod.finmod.dinmod.spzhta
									chapdm:"",			//  产品代码		.bptmod.finmod.dinmod.chapdm
									shpijg:"",			//  审批价格(不含税)		.bptmod.finmod.dinmod.shpijg
									dakaje:"",			//  贷款金额		.bptmod.finmod.dinmod.dakaje
									bizhog:"",			//  币种		.bptmod.finmod.dinmod.bizhog
									dakaqx:"",			//  贷款期限		.bptmod.finmod.dinmod.dakaqx
									qixndw:"",			//  期限单位		.bptmod.finmod.dinmod.qixndw
									maxqix:"",			//  最大贷款期限		.bptmod.finmod.dinmod.maxqix
									minqix:"",			//  最小贷款期限		.bptmod.finmod.dinmod.minqix
									maxdje:"",			//  最大贷款金额		.bptmod.finmod.dinmod.maxdje
									mindje:"",			//  最小贷款金额		.bptmod.finmod.dinmod.mindje
									chapmc:"",			//  产品名称		.bptmod.finmod.dinmod.chapmc
									spjgdc:"",			//  审批价格点差(不含税)		.bptmod.finmod.dinmod.spjgdc
									sheplb:"",			//  审批LIBOR		.bptmod.finmod.dinmod.sheplb
									libor:"",			//  最新LIBOR		.bptmod.finmod.dinmod.libor
									dinjlb:"",			//  定价LIBOR		.bptmod.finmod.dinmod.dinjlb
									ndjgbs:"",			//  拟定价格标识		.bptmod.finmod.dinmod.ndjgbs
									shpdch:"",			//  审批价格点差(含税)		.bptmod.finmod.dinmod.shpdch
									shpjgh:"",			//  审批价格(含税)		.bptmod.finmod.dinmod.shpjgh
									shuilv:"",			//  增值税税率		.bptmod.finmod.dinmod.shuilv
									rmbsbs:"",			//  审批流程发起标识		.bptmod.finmod.dinmod.rmbsbs
									lprtyp:"",			//  市场LPR期限品种		.bptmod.finmod.dinmod.lprtyp
								},
							},
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							setfog:{
								setfol:[]
							},
							setfeg:{
								setfel:[]
							},
							glemod:{
								gleshwstm:"",			//  Booking stream to Display		.setmod.glemod.gleshwstm
							},
						},
						setamt:"",			//  Settlement Amount		.setamt
						setact:"",			//  Settlement Account		.setact
						clsflg:"",			//  抹�'�		.clsflg
						setact1:"",			//  我行借记账户		.setact1
						fpdgrp:{
							rec:{
								ownref:"",			//  Reference		.fpdgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.fpdgrp.rec.nam
							},
						},
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							liaccv:{
								newamt:"",			//  合同金额		.liaall.liaccv.newamt
								concur:"",			//  应付保证金金额		.liaall.liaccv.concur
								totcovamt:"",			//  金额总和		.liaall.liaccv.totcovamt
								newresamt:"",			//  Reserved Amount		.liaall.liaccv.newresamt
								addinf:"",			//  Additional Information 		.liaall.liaccv.addinf
								cshpct:"",			//  保证金应收比例		.liaall.liaccv.cshpct
								relcshpct:"",			//  保证金实收比例		.liaall.liaccv.relcshpct
								gleflg:"",			//  Create gle flag		.liaall.liaccv.gleflg
								chgcurflg:"",			//  Change currency flag		.liaall.liaccv.chgcurflg
								pctresamt:"",			//  reserve amount based percent		.liaall.liaccv.pctresamt
							},
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
								limpfp:{
									clmcbe:[],			//  		.liaall.limmod.limpfp.clmcbe
									clmcbb:[],			//  		.liaall.limmod.limpfp.clmcbb
									clmpty:[],			//  		.liaall.limmod.limpfp.clmpty
								},
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
								dtemod:{
									dtetagm06:"",			//  Information about Confirmation Instruction		.trnmod.trndoc.dtemod.dtetagm06
									dtetagm07:"",			//  Notes from Advising Bank		.trnmod.trndoc.dtemod.dtetagm07
									dtetagm08:"",			//  Fee of Advising Bank		.trnmod.trndoc.dtemod.dtetagm08
									dtetagm53typ:"",			//  Document Sending Type		.trnmod.trndoc.dtemod.dtetagm53typ
									dtetagm53nam:"",			//  Courier Name		.trnmod.trndoc.dtemod.dtetagm53nam
									dtetagm53num:"",			//  Courier Number		.trnmod.trndoc.dtemod.dtetagm53num
								},
								dtamod:{
									dtatagm03:"",			//  Courier Service Name		.trnmod.trndoc.dtamod.dtatagm03
								},
								dtgmod:{
									dtgtagm46:"",			//  Advice of Issuing Bnk		.trnmod.trndoc.dtgmod.dtgtagm46
								},
							},
							cipmod:{
								dddbsh:"",			//  端到端标识号		.trnmod.cipmod.dddbsh
								zjg1hh:"",			//  中介机构1行号		.trnmod.cipmod.zjg1hh
								zjg1mc:"",			//  中介机构1名称		.trnmod.cipmod.zjg1mc
								zjg2hh:"",			//  中介机构2行号		.trnmod.cipmod.zjg2hh
								zjg2mc:"",			//  中介机构2名称		.trnmod.cipmod.zjg2mc
								dafnzh:"",			//  借记记账账号		.trnmod.cipmod.dafnzh
								dafnmc:"",			//  借记记账名称		.trnmod.cipmod.dafnmc
								recsehbch:"",			//  收款间接参与者行号		.trnmod.cipmod.recsehbch
								staonebch:"",			//  付款直接参与者行号		.trnmod.cipmod.staonebch
								recsehbchnam:"",			//  收款间接参与者名称		.trnmod.cipmod.recsehbchnam
								staonebchnam:"",			//  付款直接参与者名称		.trnmod.cipmod.staonebchnam
								fuynh2:"",			//  附言2		.trnmod.cipmod.fuynh2
								fuynh3:"",			//  附言3		.trnmod.cipmod.fuynh3
								fuynh4:"",			//  附言4		.trnmod.cipmod.fuynh4
								skrdz2:"",			//  收款人地址2		.trnmod.cipmod.skrdz2
								skrdz3:"",			//  收款人地址3		.trnmod.cipmod.skrdz3
								skrdz4:"",			//  收款人地址4		.trnmod.cipmod.skrdz4
								skrdz5:"",			//  收款人地址5		.trnmod.cipmod.skrdz5
								fkrdz2:"",			//  付款人地址2		.trnmod.cipmod.fkrdz2
								fkrdz3:"",			//  付款人地址3		.trnmod.cipmod.fkrdz3
								fkrdz4:"",			//  付款人地址4		.trnmod.cipmod.fkrdz4
								fkrdz5:"",			//  付款人地址5		.trnmod.cipmod.fkrdz5
								pyebchkey:"",			//  收款行开户行行号		.trnmod.cipmod.pyebchkey
								pyebchnam:"",			//  收款行开户行名称		.trnmod.cipmod.pyebchnam
								stasehbch:"",			//  付款间接参与者行号		.trnmod.cipmod.stasehbch
								stasehbchnam:"",			//  付款间接参与者名称		.trnmod.cipmod.stasehbchnam
								fkrdz6:"",			//  付款人地址6		.trnmod.cipmod.fkrdz6
								fkrdz7:"",			//  付款人地址7		.trnmod.cipmod.fkrdz7
								skrdz6:"",			//  收款人地址6		.trnmod.cipmod.skrdz6
								skrdz7:"",			//  收款人地址7		.trnmod.cipmod.skrdz7
								covflg:"",			//  112COV		.trnmod.cipmod.covflg
								fufeih:"",			//  付费行号1		.trnmod.cipmod.fufeih
								ffeih2:"",			//  付费行号2		.trnmod.cipmod.ffeih2
								fkrkhh:"",			//  付款行开户行行号		.trnmod.cipmod.fkrkhh
								fukrhm:"",			//  付款行开户行名称		.trnmod.cipmod.fukrhm
								feecod:"",			//  费用承担方		.trnmod.cipmod.feecod
								feiyon:"",			//  费用1		.trnmod.cipmod.feiyon
								feiyn2:"",			//  费用2		.trnmod.cipmod.feiyn2
								fuyns1:"",			//  致收款人银行附言1		.trnmod.cipmod.fuyns1
								fuyns2:"",			//  致收款人银行附言2		.trnmod.cipmod.fuyns2
								fuyns3:"",			//  致收款人银行附言3		.trnmod.cipmod.fuyns3
								fuyns4:"",			//  致收款人银行附言4		.trnmod.cipmod.fuyns4
								fyo1bz:"",			//  费用1币种		.trnmod.cipmod.fyo1bz
								fyo2bz:"",			//  费用2币种		.trnmod.cipmod.fyo2bz
								fkhkhh:"",			//  付款行行号		.trnmod.cipmod.fkhkhh
								fkkhmc:"",			//  付款行行名		.trnmod.cipmod.fkkhmc
								fkkhzh:"",			//  付款行账号		.trnmod.cipmod.fkkhzh
								fkhdzh:"",			//  付款行地址		.trnmod.cipmod.fkhdzh
								skkhhh:"",			//  收款行行号		.trnmod.cipmod.skkhhh
								skkhhm:"",			//  收款行行名		.trnmod.cipmod.skkhhm
								skkhzh:"",			//  收款行账号		.trnmod.cipmod.skkhzh
								skkhdz:"",			//  收款行地址		.trnmod.cipmod.skkhdz
								ddbhao:"",			//  订单编号		.trnmod.cipmod.ddbhao
								ddmisu:"",			//  订单描述		.trnmod.cipmod.ddmisu
								fkrzhj:"",			//  付款人组织机构代码		.trnmod.cipmod.fkrzhj
								fkrzjh:"",			//  付款人证件号码		.trnmod.cipmod.fkrzjh
								fkrzgj:"",			//  付款人常驻国家（地区）代码		.trnmod.cipmod.fkrzgj
								fkreid:"",			//  付款人EID		.trnmod.cipmod.fkreid
								fkfyzh:"",			//  付款非银行支付机构帐号		.trnmod.cipmod.fkfyzh
								fkfdz1:"",			//  付款非银行支付机构地址1		.trnmod.cipmod.fkfdz1
								fkfdz2:"",			//  付款非银行支付机构地址2		.trnmod.cipmod.fkfdz2
								fkfdz3:"",			//  付款非银行支付机构地址3		.trnmod.cipmod.fkfdz3
								fkfdz4:"",			//  付款非银行支付机构地址4		.trnmod.cipmod.fkfdz4
								fkfdz5:"",			//  付款非银行支付机构地址5		.trnmod.cipmod.fkfdz5
								fkfdz6:"",			//  付款非银行支付机构地址6		.trnmod.cipmod.fkfdz6
								fkfdz7:"",			//  付款非银行支付机构地址7		.trnmod.cipmod.fkfdz7
								skrzhj:"",			//  收款人组织机构代码		.trnmod.cipmod.skrzhj
								skrzjh:"",			//  收款人证件号码		.trnmod.cipmod.skrzjh
								skrzgj:"",			//  收款人常驻国家（地区）代码		.trnmod.cipmod.skrzgj
								skreid:"",			//  收款人EID		.trnmod.cipmod.skreid
								skfyzh:"",			//  收款非银行支付机构帐号		.trnmod.cipmod.skfyzh
								skfdz1:"",			//  收款非银行支付机构地址1		.trnmod.cipmod.skfdz1
								skfdz2:"",			//  收款非银行支付机构地址2		.trnmod.cipmod.skfdz2
								skfdz3:"",			//  收款非银行支付机构地址3		.trnmod.cipmod.skfdz3
								skfdz4:"",			//  收款非银行支付机构地址4		.trnmod.cipmod.skfdz4
								skfdz5:"",			//  收款非银行支付机构地址5		.trnmod.cipmod.skfdz5
								skfdz6:"",			//  收款非银行支付机构地址6		.trnmod.cipmod.skfdz6
								skfdz7:"",			//  收款非银行支付机构地址7		.trnmod.cipmod.skfdz7
								ddmsu1:"",			//  订单描述1		.trnmod.cipmod.ddmsu1
								ddmsu2:"",			//  订单描述2		.trnmod.cipmod.ddmsu2
								ddmsu3:"",			//  订单描述3		.trnmod.cipmod.ddmsu3
								ddmsu4:"",			//  订单描述4		.trnmod.cipmod.ddmsu4
								ddmsu5:"",			//  订单描述5		.trnmod.cipmod.ddmsu5
								ddmsu6:"",			//  订单描述6		.trnmod.cipmod.ddmsu6
								ddmsu7:"",			//  订单描述7		.trnmod.cipmod.ddmsu7
								ddmsu8:"",			//  订单描述8		.trnmod.cipmod.ddmsu8
								skrzjl:"",			//  收款人证件类型		.trnmod.cipmod.skrzjl
								fkrzjl:"",			//  付款人证件类型		.trnmod.cipmod.fkrzjl
								cfkfzh:"",			//  COV付款非银行支付机构帐号		.trnmod.cipmod.cfkfzh
								cffdz1:"",			//  COV付款非银行支付机构地址1		.trnmod.cipmod.cffdz1
								cffdz2:"",			//  COV付款非银行支付机构地址2		.trnmod.cipmod.cffdz2
								cffdz3:"",			//  COV付款非银行支付机构地址3		.trnmod.cipmod.cffdz3
								cffdz4:"",			//  COV付款非银行支付机构地址4		.trnmod.cipmod.cffdz4
								cffdz5:"",			//  COV付款非银行支付机构地址5		.trnmod.cipmod.cffdz5
								cffdz6:"",			//  COV付款非银行支付机构地址6		.trnmod.cipmod.cffdz6
								cffdz7:"",			//  COV付款非银行支付机构地址7		.trnmod.cipmod.cffdz7
								cfkrzj:"",			//  COV付款人组织机构代码		.trnmod.cipmod.cfkrzj
								cfkzjh:"",			//  COV付款人证件号码		.trnmod.cipmod.cfkzjh
								cfkrgj:"",			//  COV付款人常驻国家（地区）代码		.trnmod.cipmod.cfkrgj
								cfkeid:"",			//  COV付款人EID		.trnmod.cipmod.cfkeid
								cskfzh:"",			//  COV收款非银行支付机构帐号		.trnmod.cipmod.cskfzh
								csfdz1:"",			//  COV收款非银行支付机构地址1		.trnmod.cipmod.csfdz1
								csfdz2:"",			//  COV收款非银行支付机构地址2		.trnmod.cipmod.csfdz2
								csfdz3:"",			//  COV收款非银行支付机构地址3		.trnmod.cipmod.csfdz3
								csfdz4:"",			//  COV收款非银行支付机构地址4		.trnmod.cipmod.csfdz4
								csfdz6:"",			//  COV收款非银行支付机构地址6		.trnmod.cipmod.csfdz6
								csfdz7:"",			//  COV收款非银行支付机构地址7		.trnmod.cipmod.csfdz7
								cskrzj:"",			//  COV收款人组织机构代码		.trnmod.cipmod.cskrzj
								csfdz5:"",			//  COV收款非银行支付机构地址5		.trnmod.cipmod.csfdz5
								cskzjh:"",			//  COV收款人证件号码		.trnmod.cipmod.cskzjh
								cskrgj:"",			//  COV收款人常驻国家（地区）代码		.trnmod.cipmod.cskrgj
								cskeid:"",			//  COV收款人EID		.trnmod.cipmod.cskeid
								cskzjl:"",			//  COV收款人证件类型		.trnmod.cipmod.cskzjl
								cfkzjl:"",			//  COV付款人证件类型		.trnmod.cipmod.cfkzjl
								fqzyhh:"",			//  发起直接参与者行号		.trnmod.cipmod.fqzyhh
								jszyhh:"",			//  接收直接参与者行号		.trnmod.cipmod.jszyhh
								mxywbs:"",			//  明细业务总笔数		.trnmod.cipmod.mxywbs
								mxywje:"",			//  明细业务总金额		.trnmod.cipmod.mxywje
								mxywsh:"",			//  明细业务标识号		.trnmod.cipmod.mxywsh
							},
							ptsmod:{
								fecinf:{
									fecstm:"",			//  Stream of fee conditions of passed object		.trnmod.ptsmod.fecinf.fecstm
								},
							},
						},
						cfabpt:{
							cfaflg:"",			//  数据采集标志		.cfabpt.cfaflg
							basflg:"",			//  签约信息		.cfabpt.basflg
							ownextkey:"",			//  地区机构号		.cfabpt.ownextkey
							dclflg:"",			//  变动信息		.cfabpt.dclflg
							cda:{
								cfeogudad:"",			//  中资企业境外担保项下贷款业务批准文件号		.cfabpt.cda.cfeogudad
								cfeogudamount:"",			//  中资企业境外担保项下境内贷款额度金额		.cfabpt.cda.cfeogudamount
								useofunds:"",			//  资金用途		.cfabpt.cda.useofunds
								cfeogudcurr:"",			//  中资企业境外担保项下境内贷款额度币种		.cfabpt.cda.cfeogudcurr
							},
							cdaflg:"",			//  是否外保内贷		.cfabpt.cdaflg
							recgrp:{
								bas:{
									actiontype:"",			//  操作类型		.cfabpt.recgrp.bas.actiontype
									actiondesc:"",			//  删除原因		.cfabpt.recgrp.bas.actiondesc
									dofoexlocode:"",			//  国内外汇贷款编号		.cfabpt.recgrp.bas.dofoexlocode
									creditorcode:"",			//  债权人代码		.cfabpt.recgrp.bas.creditorcode
									debtorname:"",			//  债务人中文名称		.cfabpt.recgrp.bas.debtorname
									dofoexlotype:"",			//  国内外汇贷款类型		.cfabpt.recgrp.bas.dofoexlotype
									lenproname:"",			//  转贷项目名称		.cfabpt.recgrp.bas.lenproname
									lenagree:"",			//  转贷协议号		.cfabpt.recgrp.bas.lenagree
									valuedate:"",			//  起息日		.cfabpt.recgrp.bas.valuedate
									maturity:"",			//  到期日		.cfabpt.recgrp.bas.maturity
									currence:"",			//  贷款币种		.cfabpt.recgrp.bas.currence
									anninrate:"",			//  年化利率值		.cfabpt.recgrp.bas.anninrate
									remark:"",			//  备注		.cfabpt.recgrp.bas.remark
									contractamount:"",			//  签约金额		.cfabpt.recgrp.bas.contractamount
									debtorcode:"",			//  债务人代码		.cfabpt.recgrp.bas.debtorcode
								},
							},
							recp:{
								pubp:{
									acp:"",			//  确认		.cfabpt.recp.pubp.acp
								},
							},
						},
						pageId: ""			// ctx的key
				}
    }
}