import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Brtacp{
    constructor () {
        this.data = {
						brdgrp:{
							rec:{
								ownref:"",			//  单据参考号		.brdgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.brdgrp.rec.nam
								rcvdat:"",			//  到单日期		.brdgrp.rec.rcvdat
								advdat:"",			//  Date of Advice of Payment		.brdgrp.rec.advdat
								docflg:"",			//  单据类型		.brdgrp.rec.docflg
								docsta:"",			//  单据状态		.brdgrp.rec.docsta
								matdat:"",			//  Maturity Date		.brdgrp.rec.matdat
								tenmaxday:"",			//  Tenor day		.brdgrp.rec.tenmaxday
								stadat:"",			//  远期单据到期日		.brdgrp.rec.stadat
								disdat:"",			//  Discrep. advised on		.brdgrp.rec.disdat
								totcur:"",			//  Amount to be Paid		.brdgrp.rec.totcur
								totamt:"",			//  Total Amount to be Paid		.brdgrp.rec.totamt
								docprbrol:"",			//  Presented by		.brdgrp.rec.docprbrol
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.brdgrp.cbs.max.cur
									amt:"",			//  Balance		.brdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.brdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.brdgrp.cbs.opn1.amt
								},
								opn2:{
									cur:"",			//  附加金额		.brdgrp.cbs.opn2.cur
								},
								max2:{
									amt:"",			//  附加金额		.brdgrp.cbs.max2.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.prb.namelc
								adrelc:"",			//  地址		.brdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.prb.dbfadrblkcn
							},
							blk:{
								chaded:"",			//  Charges Deducted		.brdgrp.blk.chaded
								chaadd:"",			//  Charges Added		.brdgrp.blk.chaadd
								docdis:"",			//  不符点		.brdgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.brdgrp.blk.docdisflg
							},
							acb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.acb.namelc
								adrelc:"",			//  地址		.brdgrp.acb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.acb.dbfadrblkcn
							},
						},
						lidgrp:{
							rec:{
								ownref:"",			//  信用证编号		.lidgrp.rec.ownref
								expdat:"",			//  Date of Expiry		.lidgrp.rec.expdat
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.lidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.lidgrp.cbs.opn1.amt
								},
							},
						},
						brtp:{
							lidget:{
								sdamod:{
									seainf:"",			//  		.brtp.lidget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.brtp.lidget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.brtp.recget.sdamod.dadsnd
									seainf:"",			//  		.brtp.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.brtp.matp.mattxtlab
							},
							furide:"",			//  Further Identification		.brtp.furide
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							acbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.acbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.acbp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						setmod: new Pub().data.Setmod,
						mtabut: new Pub().data.Mtabut,
						trnmod: new Pub().data.Trnmod,
                        brtprbl1blk: "",
						pageId: ""			// ctx的key
				}
    }
}