import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Brtdcr{
    constructor () {
        this.data = {
						brdgrp:{
							rec:{
								ownref:"",			//  单据参考号		.brdgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.brdgrp.rec.nam
								rcvdat:"",			//  到单日期		.brdgrp.rec.rcvdat
								advdat:"",			//  Date of Advice of Payment		.brdgrp.rec.advdat
								docflg:"",			//  单据类型		.brdgrp.rec.docflg
								docsta:"",			//  单据状态		.brdgrp.rec.docsta
								matdat:"",			//  Maturity Date		.brdgrp.rec.matdat
								tenmaxday:"",			//  Tenor day		.brdgrp.rec.tenmaxday
								stadat:"",			//  远期单据到期日		.brdgrp.rec.stadat
								docprbrol:"",			//  Presented by		.brdgrp.rec.docprbrol
								payrol:"",			//  Payer		.brdgrp.rec.payrol
								orddat:"",			//  Order Date		.brdgrp.rec.orddat
								advdocflg:"",			//  Return of Documents		.brdgrp.rec.advdocflg
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.brdgrp.cbs.max.cur
									amt:"",			//  单据金额		.brdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.brdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.brdgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.prb.namelc
								adrelc:"",			//  地址		.brdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.prb.dbfadrblkcn
							},
							blk:{
								disdoc:"",			//  Disposal of Documents		.brdgrp.blk.disdoc
								disdocflg:"",			//  Defaulted content of Disposal of Documents		.brdgrp.blk.disdocflg
								docdis:"",			//  Discrepancies		.brdgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.brdgrp.blk.docdisflg
							},
						},
						lidgrp:{
							rec:{
								ownref:"",			//  信用证编号		.lidgrp.rec.ownref
								expdat:"",			//  Date of Expiry		.lidgrp.rec.expdat
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.lidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.lidgrp.cbs.opn1.amt
								},
							},
						},
						brtp:{
							lidget:{
								sdamod:{
									seainf:"",			//  		.brtp.lidget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.brtp.lidget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.brtp.recget.sdamod.dadsnd
									seainf:"",			//  		.brtp.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.brtp.matp.mattxtlab
							},
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							oth:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brtp.oth.namelc
								adrelc:"",			//  地址		.brtp.oth.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brtp.oth.dbfadrblkcn
							},
							othp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.othp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.othp.ptsget.sdamod.dadsnd
									},
								},
							},
							docgrdm:{
								docdsclab:"",			//  Label of document description		.brtp.docgrdm.docdsclab
							},
						},
						advrefflg:"",			//  Advice of Refusal MT734		.advrefflg
						refdocflg:"",			//  Refund Document Amount		.refdocflg
						advdisflg:"",			//  Advice of Discrepancy MT750		.advdisflg
						rejpenins:"",			//  Rejection pending instructions		.rejpenins
						rejtype:"",			//  退单方式		.rejtype
						swtdat:"",			//  SWIFT message dated		.swtdat
                        setmod: new Pub().data.Setmod,
                        mtabut: new Pub().data.Mtabut,
                        trnmod: new Pub().data.Trnmod,
                        liaall: new Pub().data.Liaall,
						pageId: ""			// ctx的key
				}
    }
}