import Api from "~/service/Api"
import Pts from "../Common/Pts"

import Public from "../Public"

export default class Brtset{
    constructor () {
		const pub = new Public()
        this.data = {
						brdgrp:{
							rec:{
								ownref:"",			//  单据参考号		.brdgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.brdgrp.rec.nam
								rcvdat:"",			//  到单日期		.brdgrp.rec.rcvdat
								advdat:"",			//  Date of Advice of Payment		.brdgrp.rec.advdat
								docflg:"",			//  单据类型		.brdgrp.rec.docflg
								docsta:"",			//  单据状态		.brdgrp.rec.docsta
								matdat:"",			//  Maturity Date		.brdgrp.rec.matdat
								tenmaxday:"",			//  Tenor day		.brdgrp.rec.tenmaxday
								stadat:"",			//  远期单据到期日		.brdgrp.rec.stadat
								frepayflg:"",			//  Free of Payment Flag		.brdgrp.rec.frepayflg
								docprbrol:"",			//  Presented by		.brdgrp.rec.docprbrol
								rptref:"",			//  合同号		.brdgrp.rec.rptref
								invref:"",			//  发票号		.brdgrp.rec.invref
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.brdgrp.cbs.max.cur
									amt:"",			//  单据金额		.brdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.brdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.brdgrp.cbs.opn1.amt
								},
								opn2:{
									cur:"",			//  附加金额		.brdgrp.cbs.opn2.cur
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.prb.namelc
								adrelc:"",			//  地址		.brdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.prb.dbfadrblkcn
							},
						},
						lidgrp:{
							rec:{
								ownref:"",			//  信用证编号		.lidgrp.rec.ownref
								expdat:"",			//  Date of Expiry		.lidgrp.rec.expdat
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.lidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.lidgrp.cbs.opn1.amt
								},
							},
						},
						brtp:{
							lidget:{
								sdamod:{
									seainf:"",			//  		.brtp.lidget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.brtp.lidget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.brtp.recget.sdamod.dadsnd
									seainf:"",			//  		.brtp.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.brtp.matp.mattxtlab
							},
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							prechkdat:"",			//  预计核验日期		.brtp.prechkdat
							ischktyp:"",			//  是否需要核验		.brtp.ischktyp
						},
						liaall:pub.data.Liaall,
						setmod: pub.data.Setmod ,
						aamset:{
							utlamt:"",			//  单据金额		.aamset.utlamt
							utlamt2:"",			//  附加金额		.aamset.utlamt2
						},
						trtcre:{
							crefinflg:"",			//  Create Financing		.trtcre.crefinflg
						},
						paypsb:"",			//  Unpaid by Applicant		.paypsb
						mtabut:pub.data.Mtabut,
						nar754:"",			//  Narrative :77A:		.nar754
						bptbck:{
							bptbckg:[],			//  		.bptbck.bptbckg
							dscbckcur:"",			//  currency discount paid back		.bptbck.dscbckcur
						},
						trnmod:pub.data.Trnmod,
						dftcre:{
							dfflag:"",			//  同业代付		.dftcre.dfflag
						},
						zcsdrq:"",			//  最迟送达日期		.zcsdrq
						bopmod:{
							szflg:"",			//  申报类型		.bopmod.szflg
							basflg:"",			//  基础数据		.bopmod.basflg
							dclflg:"",			//  申报数据		.bopmod.dclflg
							vrfflg:"",			//  核销数据		.bopmod.vrfflg
							ownextkey:"",			//  地区机构号		.bopmod.ownextkey
							acttyp:"",			//  款项去向		.bopmod.acttyp
						},
						cfadft:{
							cfaflg:"",			//  海外代付		.cfadft.cfaflg
							ownextkey:"",			//  地区机构号		.cfadft.ownextkey
							basflg:"",			//  签约信息		.cfadft.basflg
							dclflg:"",			//  变动信息		.cfadft.dclflg
						},
						cfatrt:{
							ownextkey:"",			//  地区机构号		.cfatrt.ownextkey
							cfaflg:"",			//  外汇贷款		.cfatrt.cfaflg
							basflg:"",			//  签约信息		.cfatrt.basflg
							dclflg:"",			//  变动信息		.cfatrt.dclflg
							cda:{
								cfeogudad:"",			//  中资企业境外担保项下贷款业务批准文件号		.cfatrt.cda.cfeogudad
								cfeogudamount:"",			//  中资企业境外担保项下境内贷款额度金额		.cfatrt.cda.cfeogudamount
								useofunds:"",			//  资金用途		.cfatrt.cda.useofunds
								cfeogudcurr:"",			//  中资企业境外担保项下境内贷款额度币种		.cfatrt.cda.cfeogudcurr
							},
							cdaflg:"",			//  是否外保内�'�		.cfatrt.cdaflg
						},
						cfabrt:{
							basflg:"",			//  签约信息		.cfabrt.basflg
							cfaflg:"",			//  远期信用证		.cfabrt.cfaflg
							dclflg:"",			//  变动信息		.cfabrt.dclflg
							ownextkey:"",			//  地区机构号		.cfabrt.ownextkey
						},
						cnybop:{
							cnyflg:"",			//  是否报送跨境人民币2101表		.cnybop.cnyflg
							traflg:"",			//  是否报送跨境人民币2107表		.cnybop.traflg
							outflg:"",			//  是否报送跨境人民币2111表		.cnybop.outflg
							libflg:"",			//  是否报送跨境人民币2106表		.cnybop.libflg
							vouflg:"",			//  是否报送跨境人民币2122表		.cnybop.vouflg
						},
						hmdmod2:{
							bennam:"",			//  交易对手名称		.hmdmod2.bennam
						},
						pageId: ""			// ctx的key
				}
    }
}