import Api from "~/service/Api";
import Pts from "../Common/Pts"
import Dids from "../Public/Dids"
import Pub from "../Public"

export default class Ditdav {
	constructor() {
		this.data = {
			didgrp:{
				rec:{
					ownref:"",			//  参考号		.didgrp.rec.ownref
					nam:"",			//  Externally Displayed Name to Identify the Contract		.didgrp.rec.nam
					avbby:"",			//  兑付方式		.didgrp.rec.avbby
					opndat:"",			//  开证日期		.didgrp.rec.opndat
					shpdat:"",			//  Shipment Date		.didgrp.rec.shpdat
					expdat:"",			//  到期日/到期地点		.didgrp.rec.expdat
					lcrtyp:"",			//  信用证类型		.didgrp.rec.lcrtyp
					expplc:"",			//  到期日/到期地点		.didgrp.rec.expplc
				},
				cbs:{
					nom1:{
						cur:"",			//  信用证金额		.didgrp.cbs.nom1.cur
						amt:"",			//  信用证金额		.didgrp.cbs.nom1.amt
					},
					opn1:{
						cur:"",			//  单据余额		.didgrp.cbs.opn1.cur
						amt:"",			//  Balance		.didgrp.cbs.opn1.amt
					},
				},
				avbnam:"",			//  指定银行		.didgrp.avbnam
			},
			bdtp:{
				didget:{
					sdamod:{
						seainf:"",			//  		.bdtp.didget.sdamod.seainf
						dadsnd:"",			//  Drag  Drop Sender		.bdtp.didget.sdamod.dadsnd
					},
				},
				zchday:"",			//  最迟装运/服务提供日		.bdtp.zchday
				recget:{
					sdamod:{
						seainf:"",			//  		.bdtp.recget.sdamod.seainf
						dadsnd:"",			//  Drag  Drop Sender		.bdtp.recget.sdamod.dadsnd
					},
				},
				setnowflg:"",			//  Register to Send and Settle Document		.bdtp.setnowflg
				dcrflg:"",			//  Register to Handle Discrepancies		.bdtp.dcrflg
				prbp:{
					ptsget:{
						sdamod:{
							seainf:"",			//  		.bdtp.prbp.ptsget.sdamod.seainf
							dadsnd:"",			//  Drag  Drop Sender		.bdtp.prbp.ptsget.sdamod.dadsnd
						},
					},
				},
				acbp:{
					ptsget:{
						sdamod:{
							seainf:"",			//  		.bdtp.acbp.ptsget.sdamod.seainf
							dadsnd:"",			//  Drag  Drop Sender		.bdtp.acbp.ptsget.sdamod.dadsnd
						},
					},
				},
				rmbp:{
					ptsget:{
						sdamod:{
							seainf:"",			//  		.bdtp.rmbp.ptsget.sdamod.seainf
							dadsnd:"",			//  Drag  Drop Sender		.bdtp.rmbp.ptsget.sdamod.dadsnd
						},
					},
				},
				bebp:{
					ptsget:{
						sdamod:{
							seainf:"",			//  		.bdtp.bebp.ptsget.sdamod.seainf
							dadsnd:"",			//  Drag  Drop Sender		.bdtp.bebp.ptsget.sdamod.dadsnd
						},
					},
				},
			},
			bddgrp:{
				apl:{
					pts:new Pts().data,
				},
				ben:{
					pts:new Pts().data,
				},
				prb:{
					pts:new Pts().data,
					namelc:"",			//  名称		.bddgrp.prb.namelc
					adrelc:"",			//  地址		.bddgrp.prb.adrelc
					dbfadrblkcn:"",			//  Chinese address		.bddgrp.prb.dbfadrblkcn
				},
				rec:{
					ownref:"",			//  Document Reference		.bddgrp.rec.ownref
					advtyp:"",			//  Type of Advice		.bddgrp.rec.advtyp
					advdat:"",			//  Payment advised on		.bddgrp.rec.advdat
					disdat:"",			//  Discrep. advised on		.bddgrp.rec.disdat
					docprbrol:"",			//  Presented by		.bddgrp.rec.docprbrol
					nam:"",			//  Name		.bddgrp.rec.nam
					totcur:"",			//  Total Amount Claimed		.bddgrp.rec.totcur
					totamt:"",			//  Total Amount to be Paid		.bddgrp.rec.totamt
					totdat:"",			//  Date to be Paid		.bddgrp.rec.totdat
				},
				cbs:{
					max:{
						cur:"",			//  单据金额		.bddgrp.cbs.max.cur
						amt:"",			//  Balance		.bddgrp.cbs.max.amt
					},
					opn2:{
						cur:"",			//  附加金额		.bddgrp.cbs.opn2.cur
					},
					max2:{
						amt:"",			//  附加金额		.bddgrp.cbs.max2.amt
					},
				},
				blk:{
					chaded:"",			//  Charges Deducted		.bddgrp.blk.chaded
					chaadd:"",			//  Charges		.bddgrp.blk.chaadd
					docdis:"",			//  Discrepancies		.bddgrp.blk.docdis
					docdisflg:"",			//  discrepancies modified		.bddgrp.blk.docdisflg
					nartxt77a:"",			//  Narrative TAG 77A of MT754		.bddgrp.blk.nartxt77a
				},
				acb:{
					pts:new Pts().data,
					namelc:"",			//  名称		.bddgrp.acb.namelc
					adrelc:"",			//  地址		.bddgrp.acb.adrelc
					dbfadrblkcn:"",			//  Chinese address		.bddgrp.acb.dbfadrblkcn
				},
				rmb:{
					pts:new Pts().data,
					namelc:"",			//  名称		.bddgrp.rmb.namelc
					adrelc:"",			//  地址		.bddgrp.rmb.adrelc
					dbfadrblkcn:"",			//  Chinese address		.bddgrp.rmb.dbfadrblkcn
				},
				beb:{
					pts:new Pts().data,
					namelc:"",			//  名称		.bddgrp.beb.namelc
					adrelc:"",			//  地址		.bddgrp.beb.adrelc
					dbfadrblkcn:"",			//  Chinese address		.bddgrp.beb.dbfadrblkcn
				},
			},
			setmod: new Pub().data.Setmod,
			mtabut: {
				coninf: {
					oitinf: {
						labinftxt: "",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
						oit: {
							inftxt: "",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
							inflev: "",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
						},
					},
					oitset: {
						labinftxt: "",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
						oit: {
							inftxt: "",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
							inflev: "",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
						},
					},
					conexedat: "",			//  执行日期		.mtabut.coninf.conexedat
					usr: {
						extkey: "",			//  User ID		.mtabut.coninf.usr.extkey
					},
				},
			},
			trnmod: new Pub().data.Trnmod,
			liaall: new Pub().data.Liaall,
			pageId: ""			// ctx的key
		}
	}
}