import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Gitopn{
    constructor () {
        this.data = {
						gitp:{
							swiftflg:"",			//  是否SWIFT格式		.gitp.swiftflg
							recget:{
								sdamod:{
									seainf:"",			//  Reference		.gitp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.gitp.recget.sdamod.dadsnd
								},
							},
							aamp:{
								aammod:{
									addamtflg:"",			//  Add. Amount		.gitp.aamp.aammod.addamtflg
								},
							},
							exptxtmodflg:"",			//  Modify Expiry Condition/Event		.gitp.exptxtmodflg
							liatxtcmodflg:"",			//  Modify Liability Condition/Event - Counter Undertaking		.gitp.liatxtcmodflg
							usr:{
								extkey:"",			//  Responsible User		.gitp.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.gitp.usrget.sdamod.seainf
								},
							},
							inccormsgflg:"",			//  Incoming Corporate Message Flag		.gitp.inccormsgflg
							drpreflglab1:"",			//  Label for Type of Request		.gitp.drpreflglab1
							inc760:"",			//  incoming lose		.gitp.inc760
							morapllab:"",			//  Label set if nore than one applicant		.gitp.morapllab
							drpreflglab:"",			//  Label for Type of Request		.gitp.drpreflglab
							bantyp:"",			//  bank typ		.gitp.bantyp
							letterlabel:"",			//  LETTERLABEL		.gitp.letterlabel
							oppbnkl:"",			//  对手行代码		.gitp.oppbnkl
							drpreflg:"",			//  Type of Request		.gitp.drpreflg
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							issp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.issp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.issp.ptsget.sdamod.dadsnd
									},
								},
							},
							advp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.advp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.advp.ptsget.sdamod.dadsnd
									},
								},
							},
							lettername:"",			//  面函标题		.gitp.lettername
							dzbhflg:"",			//  电子保函标志		.gitp.dzbhflg
							ctrp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.ctrp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.ctrp.ptsget.sdamod.dadsnd
									},
								},
							},
							aplsupflg:"",			//  Suppress Applicant in 760 Seqence B Flag		.gitp.aplsupflg
							atbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.atbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.atbp.ptsget.sdamod.dadsnd
									},
								},
							},
							labapl:"",			//  Label of apl		.gitp.labapl
							labctr:"",			//  Label of CTR		.gitp.labctr
							labaplref:"",			//  Label of APL's ref		.gitp.labaplref
							labctrref:"",			//  Label of CTR's ref		.gitp.labctrref
							labissbak:"",			//  Label of issue bank		.gitp.labissbak
							labissref:"",			//  Label of issue bank's ref		.gitp.labissref
							conp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.conp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.conp.ptsget.sdamod.dadsnd
									},
								},
							},
							bdbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.bdbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.bdbp.ptsget.sdamod.dadsnd
									},
								},
							},
							laborcdat:"",			//  Label for Contract Date		.gitp.laborcdat
							labaddinf:"",			//  Label for Additional Info		.gitp.labaddinf
							covgodsrvmodflg:"",			//  Modify Object of Contract		.gitp.covgodsrvmodflg
							covgod:{
								chkast:"",			//  Allow *		.gitp.covgod.chkast
							},
							aplnamtxt:"",			//  申请人名称		.gitp.aplnamtxt
							indirectswiadd:"",			//  InDirect Swift Add		.gitp.indirectswiadd
							gidtxtmodflg:"",			//  Modify Guarantee Text		.gitp.gidtxtmodflg
							chkgidtxt:"",			//  Allow *		.gitp.chkgidtxt
							prepermodflg:"",			//  Modify Document and Presentation Instructions		.gitp.prepermodflg
							chkpreper:"",			//  Allow *		.gitp.chkpreper
							chargi:{
								chkast:"",			//  Allow *		.gitp.chargi.chkast
							},
							aacp:{
								aacmod:{
									addamtflg:"",			//  Add. Amount		.gitp.aacp.aacmod.addamtflg
								},
							},
							apcp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.apcp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.apcp.ptsget.sdamod.dadsnd
									},
								},
							},
							apcsupflg:"",			//  Suppress Applicant in 760 Seqence C Flag		.gitp.apcsupflg
							ctcp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.ctcp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.ctcp.ptsget.sdamod.dadsnd
									},
								},
							},
							becp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.becp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.becp.ptsget.sdamod.dadsnd
									},
								},
							},
							avcp:{
								ptsget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.gitp.avcp.ptsget.sdamod.dadsnd
										seainf:"",			//  		.gitp.avcp.ptsget.sdamod.seainf
									},
								},
							},
							labaddinfc:"",			//  Label for Additional Info in Sequence C		.gitp.labaddinfc
							covgodsrvcmodflg:"",			//  Modify Object of Contract Sequence C		.gitp.covgodsrvcmodflg
							covgodc:{
								chkast:"",			//  Allow *		.gitp.covgodc.chkast
							},
							gidtxtmodflgc:"",			//  Modify Guarantee Text - Local Undertaking Seq. C		.gitp.gidtxtmodflgc
							chkgidtxtc:"",			//  Allow *		.gitp.chkgidtxtc
							prepercmodflg:"",			//  Modify Document and Presentation Instructions		.gitp.prepercmodflg
							chkpreperc:"",			//  Allow *		.gitp.chkpreperc
							chargic:{
								chkast:"",			//  Allow *		.gitp.chargic.chkast
							},
							cnrp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gitp.cnrp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gitp.cnrp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						gidgrp:{
							rec:{
								fingua:"",			//  是否对外担保		.gidgrp.rec.fingua
								cfaguatyp:"",			//  对外担保类型		.gidgrp.rec.cfaguatyp
								cmtflg:"",			//  跨境人民币保函		.gidgrp.rec.cmtflg
								ownref:"",			//  Reference		.gidgrp.rec.ownref
								resflg:"",			//  Reserved Contract		.gidgrp.rec.resflg
								rejflg:"",			//  Direct rejection		.gidgrp.rec.rejflg
								drpreflg:"",			//  Type of Request		.gidgrp.rec.drpreflg
								purposin:"",			//  Incoming Purpose 		.gidgrp.rec.purposin
								purpos:"",			//  Outgoing Purpose		.gidgrp.rec.purpos
								hndtyp:"",			//  Handling Type		.gidgrp.rec.hndtyp
								gartyp:"",			//  Type of Undertaking		.gidgrp.rec.gartyp
								gartypin:"",			//  Undertaking Type from Local Undertaking Seq. C		.gidgrp.rec.gartypin
								legfrm:"",			//  Form of Undertaking		.gidgrp.rec.legfrm
								demand:"",			//  Demand Indicator		.gidgrp.rec.demand
								giduil:"",			//  Language of Undertak.		.gidgrp.rec.giduil
								secuilflg:"",			//  Bilingual Guarantee		.gidgrp.rec.secuilflg
								gtxinr:"",			//  Choice of Text		.gidgrp.rec.gtxinr
								atxinr:"",			//  Choice of Text		.gidgrp.rec.atxinr
								exptyp:"",			//  Expiry Type		.gidgrp.rec.exptyp
								expdat:"",			//  Valid until		.gidgrp.rec.expdat
								liatypc:"",			//  Liability Type 		.gidgrp.rec.liatypc
								liadat:"",			//  Our Liability until		.gidgrp.rec.liadat
								oldref:"",			//  Old Reference		.gidgrp.rec.oldref
								revflg:"",			//  Declaration of Indemnity		.gidgrp.rec.revflg
								autrnwflg:"",			//  Auto-Renewal		.gidgrp.rec.autrnwflg
								rmbflg:"",			//  Reimbursement Information		.gidgrp.rec.rmbflg
								orddat:"",			//  Order Date		.gidgrp.rec.orddat
								opndat:"",			//  Valid from		.gidgrp.rec.opndat
								expflg:"",			//  Unlimited Guarantee		.gidgrp.rec.expflg
								liaflg:"",			//  Unlimited Liability		.gidgrp.rec.liaflg
								nam:"",			//  Name		.gidgrp.rec.nam
								inudat:"",			//  Inure Date		.gidgrp.rec.inudat
								teskeyunc:"",			//  Test Key Unconfirmity		.gidgrp.rec.teskeyunc
								guaflg:"",			//  Mortgage Flag		.gidgrp.rec.guaflg
								vrfdat:"",			//  核销日期		.gidgrp.rec.vrfdat
								fenlishi:"",			//  是否分离式保函		.gidgrp.rec.fenlishi
								stacty:"",			//  Risk Country 		.gidgrp.rec.stacty
								orcref:"",			//  Contract Reference		.gidgrp.rec.orcref
								orcdat:"",			//  Date from Original Contract		.gidgrp.rec.orcdat
								tenclsdat:"",			//  Closing Date		.gidgrp.rec.tenclsdat
								orcrat:"",			//  Original Perc./ Rate		.gidgrp.rec.orcrat
								orccur:"",			//  Contract Amount 		.gidgrp.rec.orccur
								orcamt:"",			//  Contract Amount 		.gidgrp.rec.orcamt
								acc:"",			//  A/c for Adv. Paym. Guar.		.gidgrp.rec.acc
								jurlaws20:"",			//  Governing Law		.gidgrp.rec.jurlaws20
								jurlaw:"",			//  Law of Jurisdiction		.gidgrp.rec.jurlaw
								jurplc:"",			//  Place of Jurisdiction		.gidgrp.rec.jurplc
								tenref:"",			//  Tender Reference		.gidgrp.rec.tenref
								tendat:"",			//  Tender Date		.gidgrp.rec.tendat
								trmdat:"",			//  Latest Transmiss. Date		.gidgrp.rec.trmdat
								juscod:"",			//  组织机构代码		.gidgrp.rec.juscod
								cunqii:"",			//  流动资金贷款利率档次		.gidgrp.rec.cunqii
								bilvvv:"",			//  上浮比率		.gidgrp.rec.bilvvv
								bngcod:"",			//  企业海关编码		.gidgrp.rec.bngcod
								mannum:"",			//  手册号码		.gidgrp.rec.mannum
								delori:"",			//  Delivery of Undertak.		.gidgrp.rec.delori
								deloritxt:"",			//  Delivery of Undertak.		.gidgrp.rec.deloritxt
								sndto:"",			//  Undertaking Send to		.gidgrp.rec.sndto
								delto:"",			//  Deliv. To/Collection By		.gidgrp.rec.delto
								transfer:"",			//  Transfer Indicator		.gidgrp.rec.transfer
								chato:"",			//  Own Charges Borne by		.gidgrp.rec.chato
								opndatc:"",			//  Requested Issue Date		.gidgrp.rec.opndatc
								gartypc:"",			//  Undertaking Type 		.gidgrp.rec.gartypc
								legfrmc:"",			//  Form of Undertaking		.gidgrp.rec.legfrmc
								demandc:"",			//  Demand Indicator 		.gidgrp.rec.demandc
								stdwrdc:"",			//  Standard wording required		.gidgrp.rec.stdwrdc
								gtxinrc:"",			//  Choice of Text		.gidgrp.rec.gtxinrc
								autrnwflgc:"",			//  Auto-Renewal - Local Undertaking Seq. C		.gidgrp.rec.autrnwflgc
								stdwrduilc:"",			//  Requested Language		.gidgrp.rec.stdwrduilc
								orcrefc:"",			//  Contract Reference		.gidgrp.rec.orcrefc
								orcdatc:"",			//  Date from Original Contract - Local Undertaking Seq. C		.gidgrp.rec.orcdatc
								tenclsdatc:"",			//  Closing Date		.gidgrp.rec.tenclsdatc
								orcratc:"",			//  Original Perc./ Rate		.gidgrp.rec.orcratc
								orccurc:"",			//  Contract Amount 		.gidgrp.rec.orccurc
								orcamtc:"",			//  Contract Amount 		.gidgrp.rec.orcamtc
								accc:"",			//  A/c Adv. Paym. Guar.		.gidgrp.rec.accc
								jurlawc:"",			//  Governing Law 		.gidgrp.rec.jurlawc
								jurlawtxtc:"",			//  Governing Law 		.gidgrp.rec.jurlawtxtc
								jurplcc:"",			//  Place of Jurisdiction		.gidgrp.rec.jurplcc
								tenrefc:"",			//  Tender Reference		.gidgrp.rec.tenrefc
								tendatc:"",			//  Tender Date		.gidgrp.rec.tendatc
								trmdatc:"",			//  Latest Transmission		.gidgrp.rec.trmdatc
								deloric:"",			//  Delivery of Undertak.		.gidgrp.rec.deloric
								deloritxtc:"",			//  Delivery of Undertak.		.gidgrp.rec.deloritxtc
								deltoc:"",			//  Deli. To/Collection By		.gidgrp.rec.deltoc
								transferc:"",			//  Transfer Indicator - Local Undertaking Seq. C		.gidgrp.rec.transferc
								cnfsta:"",			//  Confirmation Status 		.gidgrp.rec.cnfsta
								partcon:"",			//  Partial Confirmation		.gidgrp.rec.partcon
								cnfdat:"",			//  Confirmation Date		.gidgrp.rec.cnfdat
								reccnfdet:"",			//  Confirm. Instr.		.gidgrp.rec.reccnfdet
								cnfdet:"",			//  Confirm. Instr.		.gidgrp.rec.cnfdet
							},
							cbs:{
								max:{
									cur:"",			//  Guarantee Amount		.gidgrp.cbs.max.cur
									amt:"",			//  Guarantee Amount		.gidgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.gidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.gidgrp.cbs.opn1.amt
								},
								mac:{
									cur:"",			//  Guarantee Amount		.gidgrp.cbs.mac.cur
									amt:"",			//  Guarantee Amount		.gidgrp.cbs.mac.amt
								},
								cnf:{
									cur:"",			//  Confirmation Amount		.gidgrp.cbs.cnf.cur
									amt:"",			//  Balance		.gidgrp.cbs.cnf.amt
								},
							},
							blk:{
								gartyptxtin:"",			//  Specification of Type of Undertaking - Counter Undertaking		.gidgrp.blk.gartyptxtin
								apprul:"",			//  Applicable Rules		.gidgrp.blk.apprul
								apprultxt:"",			//  Applicable Rules		.gidgrp.blk.apprultxt
								exptxt:"",			//  Expiry Condition/ Evt.		.gidgrp.blk.exptxt
								atxexptxt:"",			//  Expiry Condition/ Evt.		.gidgrp.blk.atxexptxt
								liatxtc:"",			//  Liability Condition		.gidgrp.blk.liatxtc
								atxliatxtc:"",			//  Liability Condition		.gidgrp.blk.atxliatxtc
								covgodsrv:"",			//  Object of Contract		.gidgrp.blk.covgodsrv
								orcplc:"",			//  Original Contract Place		.gidgrp.blk.orcplc
								addinf:"",			//  Additional Info		.gidgrp.blk.addinf
								atxcovgodsrv:"",			//  Underly. Transact. Det.		.gidgrp.blk.atxcovgodsrv
								gidtxt:"",			//  Guarantee Text		.gidgrp.blk.gidtxt
								gtxgidtxt:"",			//  Guarantee Text with Variables		.gidgrp.blk.gtxgidtxt
								deltoadr:"",			//  Delivery to Address		.gidgrp.blk.deltoadr
								preper:"",			//  Presentation Instr.		.gidgrp.blk.preper
								atxpreper:"",			//  Presentation Instr.		.gidgrp.blk.atxpreper
								trfcond:"",			//  Transfer Conditions		.gidgrp.blk.trfcond
								feetxt:"",			//  Additional Details to Code for Charges		.gidgrp.blk.feetxt
								gartyptxtc:"",			//  Undertaking Type 		.gidgrp.blk.gartyptxtc
								apprulc:"",			//  Applicable Rules		.gidgrp.blk.apprulc
								apprultxtc:"",			//  Applicable Rules		.gidgrp.blk.apprultxtc
								covgodsrvc:"",			//  Object of Contract - Local Undertaking Seq. C		.gidgrp.blk.covgodsrvc
								orcplcc:"",			//  Original Contract Place - Local Undertaking Seq. C		.gidgrp.blk.orcplcc
								addinfc:"",			//  Additional Info - Local Undertaking Seq. C		.gidgrp.blk.addinfc
								atxcovgodsrvc:"",			//  Underly. Transact. Det.		.gidgrp.blk.atxcovgodsrvc
								gidtxtc:"",			//  Guarantee Text  local undertaking		.gidgrp.blk.gidtxtc
								gtxgidtxtc:"",			//  Guarantee Text with Variables - Counter Undertaking		.gidgrp.blk.gtxgidtxtc
								deltoadrc:"",			//  Delivery to Address		.gidgrp.blk.deltoadrc
								preperc:"",			//  Presentation Instr. 		.gidgrp.blk.preperc
								atxpreperc:"",			//  Presentation Instr. 		.gidgrp.blk.atxpreperc
								trfcondc:"",			//  Transfer Conditions		.gidgrp.blk.trfcondc
								feetxtc:"",			//  Additional Details to Code for Charges		.gidgrp.blk.feetxtc
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.apl.namelc
								adrelc:"",			//  地址		.gidgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.apl.dbfadrblkcn
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.ben.namelc
								adrelc:"",			//  地址		.gidgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.ben.dbfadrblkcn
							},
							iss:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.iss.namelc
								adrelc:"",			//  地址		.gidgrp.iss.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.iss.dbfadrblkcn
							},
							adv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.adv.namelc
								adrelc:"",			//  地址		.gidgrp.adv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.adv.dbfadrblkcn
							},
							ghd:{
								segtyp:"",			//  特殊保函类型		.gidgrp.ghd.segtyp
								bustyp:"",			//  业务类型		.gidgrp.ghd.bustyp
								wahnum:"",			//  仓库号		.gidgrp.ghd.wahnum
								remark:"",			//  备注		.gidgrp.ghd.remark
								aplnam:"",			//  申请人名称关税保函专用		.gidgrp.ghd.aplnam
							},
							gidcxm:{
								warran:"",			//  被保证人		.gidgrp.gidcxm.warran
								cxmflg:"",			//  是否显示查询码		.gidgrp.gidcxm.cxmflg
								benefi:"",			//  受益人名称		.gidgrp.gidcxm.benefi
							},
							ctr:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.ctr.namelc
								adrelc:"",			//  地址		.gidgrp.ctr.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.ctr.dbfadrblkcn
							},
							atb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.atb.namelc
								adrelc:"",			//  地址		.gidgrp.atb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.atb.dbfadrblkcn
							},
							con:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.con.namelc
								adrelc:"",			//  地址		.gidgrp.con.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.con.dbfadrblkcn
							},
							bdb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.bdb.namelc
								adrelc:"",			//  地址		.gidgrp.bdb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.bdb.dbfadrblkcn
							},
							apc:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.apc.namelc
								adrelc:"",			//  地址		.gidgrp.apc.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.apc.dbfadrblkcn
							},
							ctc:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.ctc.namelc
								adrelc:"",			//  地址		.gidgrp.ctc.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.ctc.dbfadrblkcn
							},
							bec:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.bec.namelc
								adrelc:"",			//  地址		.gidgrp.bec.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.bec.dbfadrblkcn
							},
							avc:{
								pts:new Pts().data,
							},
							cnr:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.cnr.namelc
								adrelc:"",			//  地址		.gidgrp.cnr.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.cnr.dbfadrblkcn
							},
						},
						cnybop:{
							cnyflg:"",			//  是否报送跨境人民币2101表		.cnybop.cnyflg
							traflg:"",			//  是否报送跨境人民币2107表		.cnybop.traflg
							outflg:"",			//  是否报送跨境人民币2111表		.cnybop.outflg
							libflg:"",			//  是否报送跨境人民币2106表		.cnybop.libflg
							vouflg:"",			//  是否报送跨境人民币2122表		.cnybop.vouflg
							cnyvou:{
								spk:"",			//  业务主键		.cnybop.cnyvou.spk
								sbankorgcode:"",			//  报送银行机构代码		.cnybop.cnyvou.sbankorgcode
								cvouchdirection:"",			//  担保方向		.cnybop.cnyvou.cvouchdirection
								stransattr:"",			//  业务属性		.cnybop.cnyvou.stransattr
								svoucherswiftbic:"",			//  担保人机构代码		.cnybop.cnyvou.svoucherswiftbic
								svouchercountrycode:"",			//  担保人国别		.cnybop.cnyvou.svouchercountrycode
								svoucheeorgcode:"",			//  担保权人机构代码		.cnybop.cnyvou.svoucheeorgcode
								svoucheecountrycode:"",			//  担保权人国别		.cnybop.cnyvou.svoucheecountrycode
								sdebtororgcode:"",			//  债务人机构代码		.cnybop.cnyvou.sdebtororgcode
								sdebtorcountrycode:"",			//  债务人国别		.cnybop.cnyvou.sdebtorcountrycode
								sreverseorgcode:"",			//  反担保人机构代码		.cnybop.cnyvou.sreverseorgcode
								sreversecountrycode:"",			//  反担保人国别		.cnybop.cnyvou.sreversecountrycode
								sbanktrano:"",			//  银行业务编号		.cnybop.cnyvou.sbanktrano
								cvouchtype:"",			//  担保种类		.cnybop.cnyvou.cvouchtype
								cvouchmode:"",			//  反担保方式		.cnybop.cnyvou.cvouchmode
								dvouchefficientdate:"",			//  担保生效日期		.cnybop.cnyvou.dvouchefficientdate
								dvouchenddate:"",			//  担保到期日期		.cnybop.cnyvou.dvouchenddate
								scontractno:"",			//  担保合同编号		.cnybop.cnyvou.scontractno
								svouchno:"",			//  担保登记编号		.cnybop.cnyvou.svouchno
								currencycode:"",			//  担保币种		.cnybop.cnyvou.currencycode
								fvouchamt:"",			//  原币种金额		.cnybop.cnyvou.fvouchamt
							},
							svouchername:"",			//  担保人名称		.cnybop.svouchername
							svoucheename:"",			//  担保权人名称		.cnybop.svoucheename
							sdebtorname:"",			//  债务人名称		.cnybop.sdebtorname
							sreversename:"",			//  反担保人名称		.cnybop.sreversename
							saddwordvou:"",			//  交易附言		.cnybop.saddwordvou
							sbankname:"",			//  报送银行机构名称		.cnybop.sbankname
						},
						addbcb:{
							name:"",			//  �'�物简称及税号		.addbcb.name
							godnam:"",			//  �'�物简称		.addbcb.godnam
							pwtyp1:"",			//  进口许可证		.addbcb.pwtyp1
							pwtyp2:"",			//  机电产品进口许可证		.addbcb.pwtyp2
							pwtyp3:"",			//  一般商品进口配额证明		.addbcb.pwtyp3
							pwtyp4:"",			//  特定商品进口登记证明		.addbcb.pwtyp4
							pwtyp5:"",			//  重要工业品自动进口许可证		.addbcb.pwtyp5
							pwtyp6:"",			//  凭保开证，批文后补		.addbcb.pwtyp6
							pwtyp7:"",			//  不需要		.addbcb.pwtyp7
							pwtyp8:"",			//  其他		.addbcb.pwtyp8
							pwtyp9:"",			//  批文类型填写文本框		.addbcb.pwtyp9
							bcbtyp1:"",			//  不在名录		.addbcb.bcbtyp1
							bcbtyp2:"",			//  异地付汇		.addbcb.bcbtyp2
							bcbtyp3:"",			//  转口�'�易		.addbcb.bcbtyp3
							bcbtyp4:"",			//  90天以上信用证		.addbcb.bcbtyp4
							bcbtyp5:"",			//  不需要		.addbcb.bcbtyp5
							bcbtyp6:"",			//  其它		.addbcb.bcbtyp6
							bcbtyp7:"",			//  备查表类型填写文本框		.addbcb.bcbtyp7
							label1:"",			//  国际部意见		.addbcb.label1
							label2:"",			//  国际部意见		.addbcb.label2
							label3:"",			//  国际部意见		.addbcb.label3
							label6:"",			//  国际部意见		.addbcb.label6
							label4:"",			//  国际部意见		.addbcb.label4
							label5:"",			//  国际部意见		.addbcb.label5
							pwdat:"",			//  批文效期		.addbcb.pwdat
							bcbdat:"",			//  备案表效期		.addbcb.bcbdat
							gitamecho:"",			//  GITAMECHO		.addbcb.gitamecho
							gitamermk:"",			//  GITAMERMK		.addbcb.gitamermk
							bgftktyp:"",			//  不规范条款类型		.addbcb.bgftktyp
							modtyp:"",			//  修改信用证类型		.addbcb.modtyp
							litameadv:"",			//  特殊规定		.addbcb.litameadv
							ameadvrmk:"",			//  特殊规定条件		.addbcb.ameadvrmk
							bccls1:"",			//  效期是否敞口		.addbcb.bccls1
							bccls3:"",			//  保函期限超过三年，已经总行贸易金融部批准办理		.addbcb.bccls3
							preexpdat:"",			//  预计效期为		.addbcb.preexpdat
							expdat:"",			//  效期为		.addbcb.expdat
							bccls2:"",			//  合同尚未签订或生效		.addbcb.bccls2
							bccls4:"",			//  以下两个选项二选一		.addbcb.bccls4
						},
						cfagit:{
							cfaflg:"",			//  数据采集标志		.cfagit.cfaflg
							basflg:"",			//  签约信息		.cfagit.basflg
							ownextkey:"",			//  地区机构号		.cfagit.ownextkey
							dclflg:"",			//  �'�任余额信息		.cfagit.dclflg
							vrfflg:"",			//  履约信息		.cfagit.vrfflg
							recp:{
								pubp:{
									bencodwarn:"",			//  BENCODE WARNING		.cfagit.recp.pubp.bencodwarn
									guedcodwarn:"",			//  GUEDCODE WARNING		.cfagit.recp.pubp.guedcodwarn
									acp:"",			//  确认		.cfagit.recp.pubp.acp
									founds1:"",			//  境外�'接投资		.cfagit.recp.pubp.founds1
									founds2:"",			//  偿还境外债务		.cfagit.recp.pubp.founds2
									founds3:"",			//  补充营运或流动性资金		.cfagit.recp.pubp.founds3
									founds4:"",			//  其他境外使用		.cfagit.recp.pubp.founds4
									founds5:"",			//  以�'接投资形式回流		.cfagit.recp.pubp.founds5
									founds6:"",			//  以外债形式回流		.cfagit.recp.pubp.founds6
									founds7:"",			//  以�'�易形式回流		.cfagit.recp.pubp.founds7
									founds8:"",			//  以其他形式回流		.cfagit.recp.pubp.founds8
									cousel1:{
										guedparecompcode:"",			//  被担保人境内母公司代码		.cfagit.recp.pubp.cousel1.guedparecompcode
									},
								},
								zzwjew:"",			//  主债务金额提示		.cfagit.recp.zzwjew
								thjewating:"",			//  资金调回金额提示		.cfagit.recp.thjewating
							},
							recgrp:{
								bas:{
									remark:"",			//  备注		.cfagit.recgrp.bas.remark
									maturity:"",			//  到期日		.cfagit.recgrp.bas.maturity
									maindebtcurr:"",			//  主债务金额		.cfagit.recgrp.bas.maindebtcurr
									guedtype:"",			//  被担保人类型		.cfagit.recgrp.bas.guedtype
									guedcode:"",			//  被担保人代码		.cfagit.recgrp.bas.guedcode
									guarantype:"",			//  担保类型		.cfagit.recgrp.bas.guarantype
									guarantorcode:"",			//  担保人代码		.cfagit.recgrp.bas.guarantorcode
									guappcode:"",			//  担保申请人代码		.cfagit.recgrp.bas.guappcode
									exguarancode:"",			//  对外担保编号		.cfagit.recgrp.bas.exguarancode
									contractdate:"",			//  签约日期		.cfagit.recgrp.bas.contractdate
									bentype:"",			//  受益人类型		.cfagit.recgrp.bas.bentype
									bencode:"",			//  受益人代码		.cfagit.recgrp.bas.bencode
									actiontype:"",			//  操作类型		.cfagit.recgrp.bas.actiontype
									actiondesc:"",			//  删除原因		.cfagit.recgrp.bas.actiondesc
									bename:"",			//  受益人中文名称		.cfagit.recgrp.bas.bename
									benamen:"",			//  受益人英文名称		.cfagit.recgrp.bas.benamen
									guedname:"",			//  被担保人中文名称		.cfagit.recgrp.bas.guedname
									guednamen:"",			//  被担保人英文名称		.cfagit.recgrp.bas.guednamen
									guappname:"",			//  担保申请人中文名称		.cfagit.recgrp.bas.guappname
									guappnamen:"",			//  担保申请人英文名称		.cfagit.recgrp.bas.guappnamen
									guarancurr:"",			//  保函金额		.cfagit.recgrp.bas.guarancurr
									guedcouncode:"",			//  被担保人国别/地区代码		.cfagit.recgrp.bas.guedcouncode
									bencountrycode:"",			//  受益人国别/地区		.cfagit.recgrp.bas.bencountrycode
									guaranamount:"",			//  保函金额		.cfagit.recgrp.bas.guaranamount
									maindebtamount:"",			//  主债务金额		.cfagit.recgrp.bas.maindebtamount
									maindebtmanner:"",			//  发行/上市方式		.cfagit.recgrp.bas.maindebtmanner
									guedindustrycode:"",			//  被担保人所属行业		.cfagit.recgrp.bas.guedindustrycode
									maindebtdate:"",			//  主债务期限（日）		.cfagit.recgrp.bas.maindebtdate
									maindebtcondate:"",			//  主债务签约日期		.cfagit.recgrp.bas.maindebtcondate
									maindebtmaturity:"",			//  主债务到期日		.cfagit.recgrp.bas.maindebtmaturity
									intrat:"",			//  借款利率（%）		.cfagit.recgrp.bas.intrat
									cgyn:"",			//  是否有反担保人		.cfagit.recgrp.bas.cgyn
									cgcode:"",			//  反担保人国别/地区代码		.cfagit.recgrp.bas.cgcode
									thyn:"",			//  是否调回境内		.cfagit.recgrp.bas.thyn
									thje:"",			//  资金调回金额		.cfagit.recgrp.bas.thje
									jwyn:"",			//  是否与境外投资相关		.cfagit.recgrp.bas.jwyn
									cgcouncode:"",			//  反担保人国别/地区代码		.cfagit.recgrp.bas.cgcouncode
									issuecountrycode:"",			//  发行/上市国家与地区		.cfagit.recgrp.bas.issuecountrycode
									guedparecompname:"",			//  被担保人境内母公司中文名称		.cfagit.recgrp.bas.guedparecompname
									guedparecompnamen:"",			//  被担保人境内母公司英文名称		.cfagit.recgrp.bas.guedparecompnamen
									cgname:"",			//  反担保人中文名称		.cfagit.recgrp.bas.cgname
									cgnamen:"",			//  反担保人英文名称		.cfagit.recgrp.bas.cgnamen
								},
							},
						},
						setmod:new Pub().data.Setmod,
						mtabut:new Pub().data.Mtabut,
						trnmod:new Pub().data.Trnmod,
						liaall: new Pub().data.Liaall,
						pageId: ""			// ctx的key
				}
    }
}