import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infgcd{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
							trnstm:"",
						},
						seagtyp:"",			//  Undertaking Type		.seagtyp
						infbut:{
							dspstm:[],			//  display stream		.infbut.dspstm
						},
						pageId: "",			// ctx的key
						gidgrp:{
							rec:{
								inr:"",
								ownref:"",			//  Reference		.gidgrp.rec.ownref
								resflg:"",			//  Reserved Contract		.gidgrp.rec.resflg
								rejflg:"",			//  Direct rejection		.gidgrp.rec.rejflg
								drpreflg:"",			//  Type of Request		.gidgrp.rec.drpreflg
								purposin:"",			//  Incoming Purpose 		.gidgrp.rec.purposin
								purpos:"",			//  Outgoing Purpose		.gidgrp.rec.purpos
								hndtyp:"",			//  Handling Type		.gidgrp.rec.hndtyp
								gartyp:"",			//  Type of Undertaking		.gidgrp.rec.gartyp
								gartypin:"",			//  Undertaking Type from Local Undertaking Seq. C		.gidgrp.rec.gartypin
								legfrm:"",			//  Form of Undertaking		.gidgrp.rec.legfrm
								demand:"",			//  Demand Indicator		.gidgrp.rec.demand
								giduil:"",			//  Language of Undertak.		.gidgrp.rec.giduil
								secuilflg:"",			//  Bilingual Guarantee		.gidgrp.rec.secuilflg
								gtxinr:"",			//  Choice of Text		.gidgrp.rec.gtxinr
								atxinr:"",			//  Choice of Text		.gidgrp.rec.atxinr
								exptyp:"",			//  Expiry Type		.gidgrp.rec.exptyp
								expdat:"",			//  Validity until		.gidgrp.rec.expdat
								liatypc:"",			//  Liability Type 		.gidgrp.rec.liatypc
								liadat:"",			//  Our Liability until		.gidgrp.rec.liadat
								oldref:"",			//  Old Reference		.gidgrp.rec.oldref
								revflg:"",			//  Declaration of Indemnity		.gidgrp.rec.revflg
								autrnwflg:"",			//  Auto-Renewal		.gidgrp.rec.autrnwflg
								rmbflg:"",			//  Reimbursement Information		.gidgrp.rec.rmbflg
								orddat:"",			//  Order Date		.gidgrp.rec.orddat
								opndat:"",			//  Valid from		.gidgrp.rec.opndat
								expflg:"",			//  Unlimited Guarantee		.gidgrp.rec.expflg
								liaflg:"",			//  Unlimited Liability		.gidgrp.rec.liaflg
								nam:"",			//  Name		.gidgrp.rec.nam
								inudat:"",			//  Inure Date		.gidgrp.rec.inudat
								teskeyunc:"",			//  Test Key Unconfirmity		.gidgrp.rec.teskeyunc
								guaflg:"",			//  Mortgage Flag		.gidgrp.rec.guaflg
								cmtflg:"",			//  跨境人民币保函		.gidgrp.rec.cmtflg
								fingua:"",			//  是否对外担保		.gidgrp.rec.fingua
								cfaguatyp:"",			//  对外担保类型		.gidgrp.rec.cfaguatyp
								vrfdat:"",			//  核销日期		.gidgrp.rec.vrfdat
								fenlishi:"",			//  是否分离式保函		.gidgrp.rec.fenlishi
								stacty:"",			//  Risk Country 		.gidgrp.rec.stacty
								orcref:"",			//  Contract Reference		.gidgrp.rec.orcref
								orcdat:"",			//  Date from Original Contract		.gidgrp.rec.orcdat
								tenclsdat:"",			//  Closing Date		.gidgrp.rec.tenclsdat
								orcrat:"",			//  Original Perc./ Rate		.gidgrp.rec.orcrat
								orccur:"",			//  Contract Amount 		.gidgrp.rec.orccur
								orcamt:"",			//  Contract Amount 		.gidgrp.rec.orcamt
								acc:"",			//  A/c for Adv. Paym. Guar.		.gidgrp.rec.acc
								jurlaws20:"",			//  Governing Law		.gidgrp.rec.jurlaws20
								jurlaw:"",			//  Law of Jurisdiction		.gidgrp.rec.jurlaw
								jurplc:"",			//  Place of Jurisdiction		.gidgrp.rec.jurplc
								tenref:"",			//  Tender Reference		.gidgrp.rec.tenref
								tendat:"",			//  Tender Date		.gidgrp.rec.tendat
								trmdat:"",			//  Latest Transmiss. Date		.gidgrp.rec.trmdat
								juscod:"",			//  组织机构代码		.gidgrp.rec.juscod
								cunqii:"",			//  流动资金贷款利率档次		.gidgrp.rec.cunqii
								bilvvv:"",			//  上浮比率		.gidgrp.rec.bilvvv
								bngcod:"",			//  企业海关编码		.gidgrp.rec.bngcod
								mannum:"",			//  手册号码		.gidgrp.rec.mannum
							},
							cbs:{
								max:{
									cur:"",			//  Guarantee Amount		.gidgrp.cbs.max.cur
									amt:"",			//  Guarantee Amount		.gidgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.gidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.gidgrp.cbs.opn1.amt
								},
							},
							blk:{
								gartyptxtin:"",			//  Specification of Type of Undertaking - Counter Undertaking		.gidgrp.blk.gartyptxtin
								apprul:"",			//  Applicable Rules		.gidgrp.blk.apprul
								apprultxt:"",			//  Applicable Rules		.gidgrp.blk.apprultxt
								exptxt:"",			//  Expiry Condition/ Evt.		.gidgrp.blk.exptxt
								atxexptxt:"",			//  Expiry Condition/ Evt.		.gidgrp.blk.atxexptxt
								liatxtc:"",			//  Liability Condition		.gidgrp.blk.liatxtc
								atxliatxtc:"",			//  Liability Condition		.gidgrp.blk.atxliatxtc
								covgodsrv:"",			//  Object of Contract		.gidgrp.blk.covgodsrv
								orcplc:"",			//  Original Contract Place		.gidgrp.blk.orcplc
								addinf:"",			//  Additional Info		.gidgrp.blk.addinf
								atxcovgodsrv:"",			//  Underly. Transact. Det.		.gidgrp.blk.atxcovgodsrv
								gidtxt:"",			//  Guarantee Text		.gidgrp.blk.gidtxt
								gtxgidtxt:"",			//  Guarantee Text with Variables		.gidgrp.blk.gtxgidtxt
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.apl.namelc
								adrelc:"",			//  地址		.gidgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.apl.dbfadrblkcn
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.ben.namelc
								adrelc:"",			//  地址		.gidgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.ben.dbfadrblkcn
							},
							iss:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.iss.namelc
								adrelc:"",			//  地址		.gidgrp.iss.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.iss.dbfadrblkcn
							},
							adv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.adv.namelc
								adrelc:"",			//  地址		.gidgrp.adv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.adv.dbfadrblkcn
							},
							ghd:{
								segtyp:"",			//  特殊保函类型		.gidgrp.ghd.segtyp
								bustyp:"",			//  业务类型		.gidgrp.ghd.bustyp
								wahnum:"",			//  仓库号		.gidgrp.ghd.wahnum
								remark:"",			//  备注		.gidgrp.ghd.remark
								aplnam:"",			//  申请人名称关税保函专用		.gidgrp.ghd.aplnam
							},
							gidcxm:{
								warran:"",			//  被保证人		.gidgrp.gidcxm.warran
								cxmflg:"",			//  是否显示查询码		.gidgrp.gidcxm.cxmflg
								benefi:"",			//  受益人名称		.gidgrp.gidcxm.benefi
							},
							ctr:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.ctr.namelc
								adrelc:"",			//  地址		.gidgrp.ctr.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.ctr.dbfadrblkcn
							},
							atb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.atb.namelc
								adrelc:"",			//  地址		.gidgrp.atb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.atb.dbfadrblkcn
							},
							con:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.con.namelc
								adrelc:"",			//  地址		.gidgrp.con.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.con.dbfadrblkcn
							},
							bdb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.bdb.namelc
								adrelc:"",			//  地址		.gidgrp.bdb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.bdb.dbfadrblkcn
							},
						},
				}
    }
}