import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infgid{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
							segtyp:"",			//  特殊保函类型		.infcon.segtyp
							chksubcon:"",			//  incl. all subcontracts		.infcon.chksubcon
							chktrnsta:"",			//  only active transactions		.infcon.chktrnsta
							trnstm:"",			//  stream for TRN to selected contract		.infcon.trnstm
							cbctxt:"",			//  CBS Column		.infcon.cbctxt
							cbbstm:"",			//  stream of CBBs		.infcon.cbbstm
							cbestm:"",			//  stream of CBEs		.infcon.cbestm
							feptxtlbl:"",			//  label used on FEP-Panel		.infcon.feptxtlbl
							fcptxtlbl:"",			//  Text label used on FCP-panel		.infcon.fcptxtlbl
							fepfeecod:"",			//  Fee Code		.infcon.fepfeecod
							fepdsp:"",			//  Disposition		.infcon.fepdsp
							fepstm:"",			//  stream for FEPs to selected contract		.infcon.fepstm
							fcpstm:"",			//  stream of foreign charges		.infcon.fcpstm
							fcpdsp:"",			//  Disposition		.infcon.fcpdsp
							setflg:"",			//  show temporary settlement that already settled		.infcon.setflg
							sepdelflg:"",			//  show temporary settlement that already deleted		.infcon.sepdelflg
							sepstm:"",			//  stream of SEPs		.infcon.sepstm
							seabucdatfro:"",			//  Booking date from		.infcon.seabucdatfro
							seabucdatto:"",			//  Booking date till used on GLEINFP		.infcon.seabucdatto
							seatrninr:"",			//  Transaction INR		.infcon.seatrninr
							glestm:"",			//  Stream of GLEs		.infcon.glestm
							smhcortyp:"",			//  Type of Document		.infcon.smhcortyp
							smhdatfrom:"",			//  Created between 		.infcon.smhdatfrom
							smhdatto:"",			//  created till		.infcon.smhdatto
							smhdir:"",			//  Direction		.infcon.smhdir
							chktrn:"",			//  Active only		.infcon.chktrn
							smhstm:"",			//  stream of documents to selected contract		.infcon.smhstm
							sptinc:"",			//  Incoming		.infcon.sptinc
							sptreg:"",			//  Registered		.infcon.sptreg
							sptpen:"",			//  Pending		.infcon.sptpen
							sptcor:"",			//  Correction		.infcon.sptcor
							sptdel:"",			//  Deleted		.infcon.sptdel
							sptstm:"",			//  stream for SPT to selected contract		.infcon.sptstm
							diadatfrom:"",			//  Date from		.infcon.diadatfrom
							diadatto:"",			//  date till		.infcon.diadatto
							diasta:"",			//  Status		.infcon.diasta
							diastm:"",			//  stream for diaries to selected contract		.infcon.diastm
							liastm:"",			//  Stream for all engagements to selected contract		.infcon.liastm
							ordstm:"",			//  Stream for Orders for Contract		.infcon.ordstm
						},
						cmtflg:"",			//  跨境人民币保函		.cmtflg
						fingua:"",			//  融资性对外担保		.fingua
						fenlishi:"",			//  是否分离式保函		.fenlishi
						fromflg:"",			//  电子渠道类型		.fromflg
						infbut:{
							dspstm:[],			//  display stream		.infbut.dspstm
						},
						gidgrp:{
							rec:{
								inr:"",
								ownref:"",			//  Reference		.gidgrp.rec.ownref
								resflg:"",			//  Reserved Contract		.gidgrp.rec.resflg
								rejflg:"",			//  Direct rejection		.gidgrp.rec.rejflg
								drpreflg:"",			//  Type of Request		.gidgrp.rec.drpreflg
								purposin:"",			//  Incoming Purpose 		.gidgrp.rec.purposin
								purpos:"",			//  Outgoing Purpose		.gidgrp.rec.purpos
								hndtyp:"",			//  Handling Type		.gidgrp.rec.hndtyp
								gartyp:"",			//  Type of Undertaking		.gidgrp.rec.gartyp
								gartypin:"",			//  Undertaking Type from Local Undertaking Seq. C		.gidgrp.rec.gartypin
								legfrm:"",			//  Form of Undertaking		.gidgrp.rec.legfrm
								demand:"",			//  Demand Indicator		.gidgrp.rec.demand
								giduil:"",			//  Language of Undertak.		.gidgrp.rec.giduil
								secuilflg:"",			//  Bilingual Guarantee		.gidgrp.rec.secuilflg
								gtxinr:"",			//  Choice of Text		.gidgrp.rec.gtxinr
								atxinr:"",			//  Choice of Text		.gidgrp.rec.atxinr
								exptyp:"",			//  Expiry Type		.gidgrp.rec.exptyp
								expdat:"",			//  Validity until		.gidgrp.rec.expdat
								liatypc:"",			//  Liability Type 		.gidgrp.rec.liatypc
								liadat:"",			//  Our Liability until		.gidgrp.rec.liadat
								oldref:"",			//  Old Reference		.gidgrp.rec.oldref
								revflg:"",			//  Declaration of Indemnity		.gidgrp.rec.revflg
								autrnwflg:"",			//  Auto-Renewal		.gidgrp.rec.autrnwflg
								rmbflg:"",			//  Reimbursement Information		.gidgrp.rec.rmbflg
								orddat:"",			//  Order Date		.gidgrp.rec.orddat
								opndat:"",			//  Valid from		.gidgrp.rec.opndat
								expflg:"",			//  Unlimited Guarantee		.gidgrp.rec.expflg
								liaflg:"",			//  Unlimited Liability		.gidgrp.rec.liaflg
								nam:"",			//  Name		.gidgrp.rec.nam
								inudat:"",			//  Inure Date		.gidgrp.rec.inudat
								teskeyunc:"",			//  Test Key Unconfirmity		.gidgrp.rec.teskeyunc
								guaflg:"",			//  Mortgage Flag		.gidgrp.rec.guaflg
								cmtflg:"",			//  跨境人民币保函		.gidgrp.rec.cmtflg
								fingua:"",			//  是否对外担保		.gidgrp.rec.fingua
								cfaguatyp:"",			//  对外担保类型		.gidgrp.rec.cfaguatyp
								vrfdat:"",			//  核销日期		.gidgrp.rec.vrfdat
								fenlishi:"",			//  是否分离式保函		.gidgrp.rec.fenlishi
								stacty:"",			//  Risk Country 		.gidgrp.rec.stacty
								orcref:"",			//  Contract Reference		.gidgrp.rec.orcref
								orcdat:"",			//  Date from Original Contract		.gidgrp.rec.orcdat
								tenclsdat:"",			//  Closing Date		.gidgrp.rec.tenclsdat
								orcrat:"",			//  Original Perc./ Rate		.gidgrp.rec.orcrat
								orccur:"",			//  Contract Amount 		.gidgrp.rec.orccur
								orcamt:"",			//  Contract Amount 		.gidgrp.rec.orcamt
								acc:"",			//  A/c for Adv. Paym. Guar.		.gidgrp.rec.acc
								jurlaws20:"",			//  Governing Law		.gidgrp.rec.jurlaws20
								jurlaw:"",			//  Law of Jurisdiction		.gidgrp.rec.jurlaw
								jurplc:"",			//  Place of Jurisdiction		.gidgrp.rec.jurplc
								tenref:"",			//  Tender Reference		.gidgrp.rec.tenref
								tendat:"",			//  Tender Date		.gidgrp.rec.tendat
								trmdat:"",			//  Latest Transmiss. Date		.gidgrp.rec.trmdat
								juscod:"",			//  组织机构代码		.gidgrp.rec.juscod
								cunqii:"",			//  流动资金贷款利率档次		.gidgrp.rec.cunqii
								bilvvv:"",			//  上浮比率		.gidgrp.rec.bilvvv
								bngcod:"",			//  企业海关编码		.gidgrp.rec.bngcod
								mannum:"",			//  手册号码		.gidgrp.rec.mannum
							},
							cbs:{
								max:{
									cur:"",			//  Guarantee Amount		.gidgrp.cbs.max.cur
									amt:"",			//  Guarantee Amount		.gidgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.gidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.gidgrp.cbs.opn1.amt
								},
							},
							blk:{
								gartyptxtin:"",			//  Specification of Type of Undertaking - Counter Undertaking		.gidgrp.blk.gartyptxtin
								apprul:"",			//  Applicable Rules		.gidgrp.blk.apprul
								apprultxt:"",			//  Applicable Rules		.gidgrp.blk.apprultxt
								exptxt:"",			//  Expiry Condition/ Evt.		.gidgrp.blk.exptxt
								atxexptxt:"",			//  Expiry Condition/ Evt.		.gidgrp.blk.atxexptxt
								liatxtc:"",			//  Liability Condition		.gidgrp.blk.liatxtc
								atxliatxtc:"",			//  Liability Condition		.gidgrp.blk.atxliatxtc
								covgodsrv:"",			//  Object of Contract		.gidgrp.blk.covgodsrv
								orcplc:"",			//  Original Contract Place		.gidgrp.blk.orcplc
								addinf:"",			//  Additional Info		.gidgrp.blk.addinf
								atxcovgodsrv:"",			//  Underly. Transact. Det.		.gidgrp.blk.atxcovgodsrv
								gidtxt:"",			//  Guarantee Text		.gidgrp.blk.gidtxt
								gtxgidtxt:"",			//  Guarantee Text with Variables		.gidgrp.blk.gtxgidtxt
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.apl.namelc
								adrelc:"",			//  地址		.gidgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.apl.dbfadrblkcn
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.ben.namelc
								adrelc:"",			//  地址		.gidgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.ben.dbfadrblkcn
							},
							iss:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.iss.namelc
								adrelc:"",			//  地址		.gidgrp.iss.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.iss.dbfadrblkcn
							},
							adv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.adv.namelc
								adrelc:"",			//  地址		.gidgrp.adv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.adv.dbfadrblkcn
							},
							ghd:{
								segtyp:"",			//  特殊保函类型		.gidgrp.ghd.segtyp
								bustyp:"",			//  业务类型		.gidgrp.ghd.bustyp
								wahnum:"",			//  仓库号		.gidgrp.ghd.wahnum
								remark:"",			//  备注		.gidgrp.ghd.remark
								aplnam:"",			//  申请人名称关税保函专用		.gidgrp.ghd.aplnam
							},
							gidcxm:{
								warran:"",			//  被保证人		.gidgrp.gidcxm.warran
								cxmflg:"",			//  是否显示查询码		.gidgrp.gidcxm.cxmflg
								benefi:"",			//  受益人名称		.gidgrp.gidcxm.benefi
							},
							ctr:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.ctr.namelc
								adrelc:"",			//  地址		.gidgrp.ctr.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.ctr.dbfadrblkcn
							},
							atb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.atb.namelc
								adrelc:"",			//  地址		.gidgrp.atb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.atb.dbfadrblkcn
							},
							con:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.con.namelc
								adrelc:"",			//  地址		.gidgrp.con.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.con.dbfadrblkcn
							},
							bdb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gidgrp.bdb.namelc
								adrelc:"",			//  地址		.gidgrp.bdb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gidgrp.bdb.dbfadrblkcn
							},
						},
						recpan:{
							recget:{
								sdamod:{
									seainf:"",			//  Reference		.recpan.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
								},
							},
							aamp:{
								aammod:{
									addamtflg:"",			//  Add. Amount		.recpan.aamp.aammod.addamtflg
								},
							},
							exptxtmodflg:"",			//  Modify Expiry Condition/Event		.recpan.exptxtmodflg
							liatxtcmodflg:"",			//  Modify Liability Condition/Event - Counter Undertaking		.recpan.liatxtcmodflg
							usr:{
								extkey:"",			//  Responsible User		.recpan.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.recpan.usrget.sdamod.seainf
								},
							},
							inccormsgflg:"",			//  Incoming Corporate Message Flag		.recpan.inccormsgflg
							drpreflglab1:"",			//  Label for Type of Request		.recpan.drpreflglab1
							inc760:"",			//  incoming lose		.recpan.inc760
							morapllab:"",			//  Label set if nore than one applicant		.recpan.morapllab
							drpreflglab:"",			//  Label for Type of Request		.recpan.drpreflglab
							bantyp:"",			//  bank typ		.recpan.bantyp
							letterlabel:"",			//  LETTERLABEL		.recpan.letterlabel
							oppbnkl:"",			//  对手行代码		.recpan.oppbnkl
							drpreflg:"",			//  Type of Request		.recpan.drpreflg
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							issp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.issp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.issp.ptsget.sdamod.dadsnd
									},
								},
							},
							advp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.advp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.advp.ptsget.sdamod.dadsnd
									},
								},
							},
							lettername:"",			//  面函标题		.recpan.lettername
							dzbhflg:"",			//  电子保函标志		.recpan.dzbhflg
							ctrp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.ctrp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.ctrp.ptsget.sdamod.dadsnd
									},
								},
							},
							aplsupflg:"",			//  Suppress Applicant in 760 Seqence B Flag		.recpan.aplsupflg
							atbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.atbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.atbp.ptsget.sdamod.dadsnd
									},
								},
							},
							labapl:"",			//  Label of apl		.recpan.labapl
							labctr:"",			//  Label of CTR		.recpan.labctr
							labaplref:"",			//  Label of APL's ref		.recpan.labaplref
							labctrref:"",			//  Label of CTR's ref		.recpan.labctrref
							labissbak:"",			//  Label of issue bank		.recpan.labissbak
							labissref:"",			//  Label of issue bank's ref		.recpan.labissref
							conp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.conp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.conp.ptsget.sdamod.dadsnd
									},
								},
							},
							bdbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.bdbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.bdbp.ptsget.sdamod.dadsnd
									},
								},
							},
							laborcdat:"",			//  Label for Contract Date		.recpan.laborcdat
							labaddinf:"",			//  Label for Additional Info		.recpan.labaddinf
							covgodsrvmodflg:"",			//  Modify Object of Contract		.recpan.covgodsrvmodflg
							covgod:{
								chkast:"",			//  Allow *		.recpan.covgod.chkast
							},
							aplnamtxt:"",			//  申请人名称		.recpan.aplnamtxt
							indirectswiadd:"",			//  InDirect Swift Add		.recpan.indirectswiadd
							gidtxtmodflg:"",			//  Modify Guarantee Text		.recpan.gidtxtmodflg
							chkgidtxt:"",			//  Allow *		.recpan.chkgidtxt
							swiftflg:"",			//  是否SWIFT格式		.recpan.swiftflg
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						prtpanblk:"",			//  XMLPanel prtpan的内置block		.prtpanblk
						gidstr:"",			//  汇总征税保函�'�'�税单明细		.gidstr
						ownref:"",			//  汇总征税保函业务编号		.ownref
						hbhamt:"",			//  应缴税款金额		.hbhamt
						pageId: ""			// ctx的key
				}
    }
}