import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"
export default class Litdav{
    constructor () {
        this.data = {
						ptspta:{
							pts:{
								adrblk:"",
								extkey:"",
								ref:"",
							}
						},	
						litapll1blk:"",
						litapll2blk:"",
						litapll3blk:"",
						litapll4blk:"",
						lidgrp:{
							rec:{
								inr:"",       //
								ownref:"",			//  参考号		.lidgrp.rec.ownref
								nam:"",			//  简略信息		.lidgrp.rec.nam
								revflg:"",			//  Revolving Flag		.lidgrp.rec.revflg
								avbby:"",			//  Available by		.lidgrp.rec.avbby
								redclsflg:"",			//  Red/Green Clause		.lidgrp.rec.redclsflg
								opndat:"",			//  开证日期		.lidgrp.rec.opndat
								shpdat:"",			//  最迟装运日期		.lidgrp.rec.shpdat
								expdat:"",			//  到期日/到期地点		.lidgrp.rec.expdat
								expplc:"",			//  到期日/到期地点		.lidgrp.rec.expplc
								lcrtyp:"",			//  信用证类型		.lidgrp.rec.lcrtyp
							},
							cbs:{
								nom1:{
									cur:"",			//  信用证金额		.lidgrp.cbs.nom1.cur
									amt:"",			//  信用证金额		.lidgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  信用证余额		.lidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.lidgrp.cbs.opn1.amt
								},
							},
							avbnam:"",			//  指定银行		.lidgrp.avbnam
						},
						brtp:{
							lidget:{
								sdamod:{
									seainf:"",			//  		.brtp.lidget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.brtp.lidget.sdamod.dadsnd
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.brtp.aammod.addamtflg
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.brtp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.brtp.recget.sdamod.dadsnd
								},
							},
							setnowflg:"",			//  Register to Send and Settle Document		.brtp.setnowflg
							dcrflg:"",			//  Register to Handle Discrepancies		.brtp.dcrflg
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							acbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.acbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.acbp.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.rmbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.rmbp.ptsget.sdamod.dadsnd
									},
								},
							},
							bebp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.bebp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.bebp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						brdgrp:{
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.prb.namelc
								adrelc:"",			//  地址		.brdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.prb.dbfadrblkcn
							},
							rec:{
								ownref:"",			//  Document Reference		.brdgrp.rec.ownref
								advtyp:"",			//  Type of Advice		.brdgrp.rec.advtyp
								advdat:"",			//  Payment advised on		.brdgrp.rec.advdat
								disdat:"",			//  Discrep. advised on		.brdgrp.rec.disdat
								docprbrol:"",			//  Presented by		.brdgrp.rec.docprbrol
								nam:"",			//  Name		.brdgrp.rec.nam
								totcur:"",			//  Total Amount Claimed		.brdgrp.rec.totcur
								totamt:"",			//  Total Amount to be Paid		.brdgrp.rec.totamt
								totdat:"",			//  Date to be Paid		.brdgrp.rec.totdat
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.brdgrp.cbs.max.cur
									amt:"",			//  Balance		.brdgrp.cbs.max.amt
								},
								opn2:{
									cur:"",			//  附加金额		.brdgrp.cbs.opn2.cur
								},
								max2:{
									amt:"",			//  附加金额		.brdgrp.cbs.max2.amt
								},
							},
							blk:{
								chaded:"",			//  Charges Deducted		.brdgrp.blk.chaded
								chaadd:"",			//  Charges		.brdgrp.blk.chaadd
								docdis:"",			//  不符点		.brdgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.brdgrp.blk.docdisflg
								nartxt77a:"",			//  Narrative TAG 77A of MT754		.brdgrp.blk.nartxt77a
							},
							acb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.acb.namelc
								adrelc:"",			//  地址		.brdgrp.acb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.acb.dbfadrblkcn
							},
							rmb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.rmb.namelc
								adrelc:"",			//  地址		.brdgrp.rmb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.rmb.dbfadrblkcn
							},
							beb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.beb.namelc
								adrelc:"",			//  地址		.brdgrp.beb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.beb.dbfadrblkcn
							},
						},
						setmod:new Pub().data.Setmod,
						mtabut:new Pub().data.Mtabut,
						trnmod:new Pub().data.Trnmod,
						liaall: new Pub().data.Liaall,
						pageId: ""			// ctx的key
				}
    }
}