import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Litrog{
    constructor () {
        this.data = {
						lidgrp:{
							rec:{
								inr:"",
								ownref:"",			//  参考号		.lidgrp.rec.ownref
								nam:"",			//  简略信息		.lidgrp.rec.nam
								revflg:"",			//  Revolving Flag		.lidgrp.rec.revflg
								avbby:"",			//  Available by		.lidgrp.rec.avbby
								redclsflg:"",			//  Red/Green Clause		.lidgrp.rec.redclsflg
								opndat:"",			//  开证日期		.lidgrp.rec.opndat
								shpdat:"",			//  最迟装运日期		.lidgrp.rec.shpdat
								expdat:"",			//  到期日/到期地点		.lidgrp.rec.expdat
								expplc:"",			//  到期日/到期地点		.lidgrp.rec.expplc
								lcrtyp:"",			//  信用证类型		.lidgrp.rec.lcrtyp
							},
							cbs:{
								nom1:{
									cur:"",			//  信用证金额		.lidgrp.cbs.nom1.cur
									amt:"",			//  信用证金额		.lidgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  信用证余额		.lidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.lidgrp.cbs.opn1.amt
								},
							},
							avbnam:"",			//  指定银行		.lidgrp.avbnam
						},
						brtp:{
							lidget:{
								sdamod:{
									seainf:"",			//  		.brtp.lidget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.brtp.lidget.sdamod.dadsnd
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.brtp.aammod.addamtflg
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.brtp.recget.sdamod.dadsnd
								},
							},
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							shpp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.shpp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.shpp.ptsget.sdamod.dadsnd
									},
								},
							},
							connum:"",			//  Contract Number		.brtp.connum
						},
						brdgrp:{
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.prb.namelc
								adrelc:"",			//  地址		.brdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.prb.dbfadrblkcn
							},
							rec:{
								inr:"",
								nam:"",			//  Name		.brdgrp.rec.nam
								docprbrol:"",			//  Presented by		.brdgrp.rec.docprbrol
								ownref:"",			//  Document Number		.brdgrp.rec.ownref
								shgref:"",			//  Shipping Gua. Ref.		.brdgrp.rec.shgref
								guaflg:"",			//  Mortgage Flag		.brdgrp.rec.guaflg
								invtyp:"",			//  (提货担保面函落款)		.brdgrp.rec.invtyp
								relgodflg:"",			//  Release of Goods		.brdgrp.rec.relgodflg
								reltyp:"",			//  Release Type		.brdgrp.rec.reltyp
								relgoddat:"",			//  issue date		.brdgrp.rec.relgoddat
								expdat:"",			//  Expiry Date of Shipping Guarantee		.brdgrp.rec.expdat
								trpdoctyp:"",			//  Transport Doc. Type		.brdgrp.rec.trpdoctyp
								trpdocnum:"",			//  Transport Doc. No.		.brdgrp.rec.trpdocnum
								tradat:"",			//  shipment date		.brdgrp.rec.tradat
								tramod:"",			//  Mode of Transport		.brdgrp.rec.tramod
								rtoaplflg:"",			//  Release Goods to Applicant ?		.brdgrp.rec.rtoaplflg
								ngrcod:"",			//  Goods code		.brdgrp.rec.ngrcod
								blnum:"",			//  B/L Number		.brdgrp.rec.blnum
							},
							cbs:{
								max:{
									cur:"",			//  Amount of Shipment		.brdgrp.cbs.max.cur
									amt:"",			//  Balance		.brdgrp.cbs.max.amt
								},
							},
							blk:{
								vesnam:"",			//  Vessel Name		.brdgrp.blk.vesnam
								pordis:"",			//  Port of Discharge		.brdgrp.blk.pordis
								delplc:"",			//  Place of Delivery		.brdgrp.blk.delplc
								roggod:"",			//  Covered Goods		.brdgrp.blk.roggod
								relstoadr:"",			//  Release to Address		.brdgrp.blk.relstoadr
								porlod:"",			//  Port of loading		.brdgrp.blk.porlod
								voynum:"",			//  Voyage numer		.brdgrp.blk.voynum
								notpty:"",			//  Notify Party		.brdgrp.blk.notpty
								carnam:"",			//  Carrier		.brdgrp.blk.carnam
							},
							shp:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.shp.namelc
								adrelc:"",			//  地址		.brdgrp.shp.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.shp.dbfadrblkcn
							},
						},
						pietat:"",			//  Pieces in Total		.pietat
						shpmar:"",			//  Shipping Mark		.shpmar
						guabnkval:"",			//  担保银行		.guabnkval
						liaall:new Pub().data.Liaall,
						setmod:new Pub().data.Setmod,
						mtabut:new Pub().data.Mtabut,
						trnmod:new Pub().data.Trnmod,
						addbcb:{
							name:"",			//  �'�物简称及税号		.addbcb.name
							godnam:"",			//  �'�物简称		.addbcb.godnam
							pwtyp1:"",			//  进口许可证		.addbcb.pwtyp1
							pwtyp2:"",			//  机电产品进口许可证		.addbcb.pwtyp2
							pwtyp3:"",			//  一般商品进口配额证明		.addbcb.pwtyp3
							pwtyp4:"",			//  特定商品进口登记证明		.addbcb.pwtyp4
							pwtyp5:"",			//  重要工业品自动进口许可证		.addbcb.pwtyp5
							pwtyp6:"",			//  凭保开证，批文后补		.addbcb.pwtyp6
							pwtyp7:"",			//  不需要		.addbcb.pwtyp7
							pwtyp8:"",			//  其他		.addbcb.pwtyp8
							pwtyp9:"",			//  批文类型填写文本框		.addbcb.pwtyp9
							bcbtyp1:"",			//  不在名录		.addbcb.bcbtyp1
							bcbtyp2:"",			//  异地付汇		.addbcb.bcbtyp2
							bcbtyp3:"",			//  转口�'�易		.addbcb.bcbtyp3
							bcbtyp4:"",			//  90天以上信用证		.addbcb.bcbtyp4
							bcbtyp5:"",			//  不需要		.addbcb.bcbtyp5
							bcbtyp6:"",			//  其它		.addbcb.bcbtyp6
							bcbtyp7:"",			//  备查表类型填写文本框		.addbcb.bcbtyp7
							label1:"",			//  国际部意见		.addbcb.label1
							label2:"",			//  国际部意见		.addbcb.label2
							label3:"",			//  国际部意见		.addbcb.label3
							label6:"",			//  国际部意见		.addbcb.label6
							label4:"",			//  国际部意见		.addbcb.label4
							label5:"",			//  国际部意见		.addbcb.label5
							pwdat:"",			//  批文效期		.addbcb.pwdat
							bcbdat:"",			//  备案表效期		.addbcb.bcbdat
							gitamecho:"",			//  GITAMECHO		.addbcb.gitamecho
							gitamermk:"",			//  GITAMERMK		.addbcb.gitamermk
							bgftktyp:"",			//  不规范条款类型		.addbcb.bgftktyp
							modtyp:"",			//  修改信用证类型		.addbcb.modtyp
							litameadv:"",			//  特殊规定		.addbcb.litameadv
							ameadvrmk:"",			//  特殊规定条件		.addbcb.ameadvrmk
							bccls1:"",			//  效期是否敞口		.addbcb.bccls1
							bccls3:"",			//  保函期限超过三年，已经总行贸易金融部批准办理		.addbcb.bccls3
							preexpdat:"",			//  预计效期为		.addbcb.preexpdat
							expdat:"",			//  效期为		.addbcb.expdat
							bccls2:"",			//  合同尚未签订或生效		.addbcb.bccls2
							bccls4:"",			//  以下两个选项二选一		.addbcb.bccls4
						},
						pageId: ""			// ctx的key
				}
    }
}